<?php

class bBoutique_config extends BackModule {

    function Form($formvars = array()) {

        // SQL
        if (!empty($formvars['id'])) {
            $this->request = getTable('boutique_config', $formvars['id']);
        }
        //-- SQL

        // Champs du formulaire

        $form = new BackForm("Informations principales","group");
        $this->addForm($form);

        $form = new BackForm("Boutique ID", "hidden", "boutique_id");
        $this->addForm($form);

        $form = new BackForm("Key", "text", "boutique_config_key");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        $form = new BackForm("Value", "text", "boutique_config_value");
        $this->addForm($form);

        $form = new BackForm("Description", "textarea", "boutique_config_desc");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        if (!isset($formvars['id']))
            $formvars['id'] = 0;
        return $this->displayForm($formvars['id'], $formvars['div']);
    }

    function Listing($formvars = array()) {

        // SQL
        $sql = "SELECT bc.boutique_config_id";
        $sql.=", bc.boutique_config_id";
        $sql.=", bc.boutique_config_key";
        $sql.=", bc.boutique_config_value";
        $sql.=", bc.boutique_config_desc";
        $sql.=" FROM (boutique_config bc)";
        $sql.=" WHERE 1";
        if (!empty($formvars['boutique']))
            $sql.=" AND bc.boutique_id = '" . $formvars['boutique'] . "'";

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("KEY");
        $this->addLabel($label);

        $label = new BackLabel("VALUE");
        $this->addLabel($label);

        $label = new BackLabel("DESC");
        $this->addLabel($label);
        //-- LABELS

        return $this->displayList($formvars['type']);
    }

//--
}