<?php

namespace Controller;

use Texte;
use Breadcrumb;

/**
 * Class ErrorController
 * @package Controller
 */
class ErrorController extends Controller
{

    /**
     * @return mixed
     */
    public function error_404()
    {
        $texte = new Texte();

        $bd = Breadcrumb::getInstance();
        $bd->add($texte->getOneOrCreate('page_404', 'Erreur 404'));

        $tplVars = [];

        return $this->render('404.tpl', $tplVars, 404);
    }
}
