<?php

/**
 * Class Reduction
 *
 * @property string $code
 * @property float $price
 * @property string $name
 * @property string $taxe
 * @property string $quantity
 * @property string $cumul
 */
class Reduction
{
    /**
     * @var array
     */
    protected $properties = array();

    public function toArray()
    {
        return $this->properties;
    }

    public function __get($name)
    {
        if (array_key_exists($name, $this->properties)) {
            return $this->properties[$name];
        }
    }

    public function __set($name, $value)
    {
        $this->properties[$name] = $value;
    }

    public function __isset($name)
    {
        return !empty($this->properties[$name]);
    }

    public function hydrate(array $data)
    {
        foreach ($data as $k => $d) {
            $this->$k = $d;
        }
    }
}