<?php

use Phinx\Migration\AbstractMigration;

class InsertPays extends AbstractMigration
{
    public function up()
    {
        $pays = array(
            array('pays_id' => '1','pays_iso_code_2' => 'AF','pays_iso_code_3' => 'AFG','zone_id' => '21'),
            array('pays_id' => '2','pays_iso_code_2' => 'ZA','pays_iso_code_3' => 'ZAF','zone_id' => '21'),
            array('pays_id' => '3','pays_iso_code_2' => 'AL','pays_iso_code_3' => 'ALB','zone_id' => '21'),
            array('pays_id' => '4','pays_iso_code_2' => 'DZ','pays_iso_code_3' => 'DZA','zone_id' => '21'),
            array('pays_id' => '5','pays_iso_code_2' => 'DE','pays_iso_code_3' => 'DEU','zone_id' => '20'),
            array('pays_id' => '6','pays_iso_code_2' => 'AD','pays_iso_code_3' => 'AND','zone_id' => '5'),
            array('pays_id' => '7','pays_iso_code_2' => 'AO','pays_iso_code_3' => 'AGO','zone_id' => '21'),
            array('pays_id' => '8','pays_iso_code_2' => 'AI','pays_iso_code_3' => 'AIA','zone_id' => '21'),
            array('pays_id' => '9','pays_iso_code_2' => 'AQ','pays_iso_code_3' => 'ATA','zone_id' => '21'),
            array('pays_id' => '10','pays_iso_code_2' => 'AG','pays_iso_code_3' => 'ATG','zone_id' => '21'),
            array('pays_id' => '11','pays_iso_code_2' => 'AN','pays_iso_code_3' => 'ANT','zone_id' => '21'),
            array('pays_id' => '12','pays_iso_code_2' => 'SA','pays_iso_code_3' => 'SAU','zone_id' => '21'),
            array('pays_id' => '13','pays_iso_code_2' => 'AR','pays_iso_code_3' => 'ARG','zone_id' => '21'),
            array('pays_id' => '14','pays_iso_code_2' => 'AM','pays_iso_code_3' => 'ARM','zone_id' => '21'),
            array('pays_id' => '15','pays_iso_code_2' => 'AW','pays_iso_code_3' => 'ABW','zone_id' => '21'),
            array('pays_id' => '16','pays_iso_code_2' => 'AU','pays_iso_code_3' => 'AUS','zone_id' => '21'),
            array('pays_id' => '17','pays_iso_code_2' => 'AT','pays_iso_code_3' => 'AUT','zone_id' => '20'),
            array('pays_id' => '18','pays_iso_code_2' => 'AZ','pays_iso_code_3' => 'AZE','zone_id' => '21'),
            array('pays_id' => '19','pays_iso_code_2' => 'BS','pays_iso_code_3' => 'BHS','zone_id' => '21'),
            array('pays_id' => '20','pays_iso_code_2' => 'BH','pays_iso_code_3' => 'BHR','zone_id' => '21'),
            array('pays_id' => '21','pays_iso_code_2' => 'BD','pays_iso_code_3' => 'BGD','zone_id' => '21'),
            array('pays_id' => '22','pays_iso_code_2' => 'BB','pays_iso_code_3' => 'BRB','zone_id' => '21'),
            array('pays_id' => '23','pays_iso_code_2' => 'BY','pays_iso_code_3' => 'BLR','zone_id' => '21'),
            array('pays_id' => '24','pays_iso_code_2' => 'BE','pays_iso_code_3' => 'BEL','zone_id' => '20'),
            array('pays_id' => '25','pays_iso_code_2' => 'BZ','pays_iso_code_3' => 'BLZ','zone_id' => '21'),
            array('pays_id' => '26','pays_iso_code_2' => 'BJ','pays_iso_code_3' => 'BEN','zone_id' => '21'),
            array('pays_id' => '27','pays_iso_code_2' => 'BM','pays_iso_code_3' => 'BMU','zone_id' => '21'),
            array('pays_id' => '28','pays_iso_code_2' => 'BT','pays_iso_code_3' => 'BTN','zone_id' => '21'),
            array('pays_id' => '29','pays_iso_code_2' => 'BO','pays_iso_code_3' => 'BOL','zone_id' => '21'),
            array('pays_id' => '30','pays_iso_code_2' => 'BA','pays_iso_code_3' => 'BIH','zone_id' => '21'),
            array('pays_id' => '31','pays_iso_code_2' => 'BW','pays_iso_code_3' => 'BWA','zone_id' => '21'),
            array('pays_id' => '32','pays_iso_code_2' => 'BV','pays_iso_code_3' => 'BVT','zone_id' => '21'),
            array('pays_id' => '33','pays_iso_code_2' => 'BR','pays_iso_code_3' => 'BRA','zone_id' => '21'),
            array('pays_id' => '34','pays_iso_code_2' => 'BN','pays_iso_code_3' => 'BRN','zone_id' => '21'),
            array('pays_id' => '35','pays_iso_code_2' => 'BG','pays_iso_code_3' => 'BGR','zone_id' => '20'),
            array('pays_id' => '36','pays_iso_code_2' => 'BF','pays_iso_code_3' => 'BFA','zone_id' => '21'),
            array('pays_id' => '37','pays_iso_code_2' => 'BI','pays_iso_code_3' => 'BDI','zone_id' => '21'),
            array('pays_id' => '38','pays_iso_code_2' => 'KY','pays_iso_code_3' => 'CYM','zone_id' => '21'),
            array('pays_id' => '39','pays_iso_code_2' => 'KF','pays_iso_code_3' => 'KHM','zone_id' => '21'),
            array('pays_id' => '40','pays_iso_code_2' => 'CM','pays_iso_code_3' => 'CMR','zone_id' => '21'),
            array('pays_id' => '41','pays_iso_code_2' => 'CA','pays_iso_code_3' => 'CAN','zone_id' => '21'),
            array('pays_id' => '42','pays_iso_code_2' => 'CV','pays_iso_code_3' => 'CPV','zone_id' => '21'),
            array('pays_id' => '43','pays_iso_code_2' => 'CF','pays_iso_code_3' => 'CAF','zone_id' => '21'),
            array('pays_id' => '44','pays_iso_code_2' => 'CL','pays_iso_code_3' => 'CHL','zone_id' => '21'),
            array('pays_id' => '45','pays_iso_code_2' => 'CN','pays_iso_code_3' => 'CHN','zone_id' => '21'),
            array('pays_id' => '46','pays_iso_code_2' => 'CX','pays_iso_code_3' => 'CXR','zone_id' => '21'),
            array('pays_id' => '47','pays_iso_code_2' => 'CY','pays_iso_code_3' => 'CYP','zone_id' => '20'),
            array('pays_id' => '48','pays_iso_code_2' => 'CC','pays_iso_code_3' => 'CCK','zone_id' => '21'),
            array('pays_id' => '49','pays_iso_code_2' => 'CO','pays_iso_code_3' => 'COL','zone_id' => '21'),
            array('pays_id' => '50','pays_iso_code_2' => 'KM','pays_iso_code_3' => 'COM','zone_id' => '21'),
            array('pays_id' => '51','pays_iso_code_2' => 'CG','pays_iso_code_3' => 'COG','zone_id' => '21'),
            array('pays_id' => '52','pays_iso_code_2' => 'CD','pays_iso_code_3' => 'COD','zone_id' => '21'),
            array('pays_id' => '53','pays_iso_code_2' => 'CK','pays_iso_code_3' => 'COK','zone_id' => '21'),
            array('pays_id' => '54','pays_iso_code_2' => 'KR','pays_iso_code_3' => 'KOR','zone_id' => '21'),
            array('pays_id' => '55','pays_iso_code_2' => 'KP','pays_iso_code_3' => 'PRK','zone_id' => '21'),
            array('pays_id' => '56','pays_iso_code_2' => 'CR','pays_iso_code_3' => 'CRI','zone_id' => '21'),
            array('pays_id' => '57','pays_iso_code_2' => 'CI','pays_iso_code_3' => 'CIV','zone_id' => '21'),
            array('pays_id' => '58','pays_iso_code_2' => 'HR','pays_iso_code_3' => 'HRV','zone_id' => '21'),
            array('pays_id' => '59','pays_iso_code_2' => 'CU','pays_iso_code_3' => 'CUB','zone_id' => '21'),
            array('pays_id' => '60','pays_iso_code_2' => 'DK','pays_iso_code_3' => 'DNK','zone_id' => '20'),
            array('pays_id' => '61','pays_iso_code_2' => 'DJ','pays_iso_code_3' => 'DJI','zone_id' => '21'),
            array('pays_id' => '62','pays_iso_code_2' => 'DO','pays_iso_code_3' => 'DOM','zone_id' => '21'),
            array('pays_id' => '63','pays_iso_code_2' => 'DM','pays_iso_code_3' => 'DMA','zone_id' => '21'),
            array('pays_id' => '64','pays_iso_code_2' => 'EG','pays_iso_code_3' => 'EGY','zone_id' => '21'),
            array('pays_id' => '65','pays_iso_code_2' => 'SV','pays_iso_code_3' => 'SLV','zone_id' => '21'),
            array('pays_id' => '66','pays_iso_code_2' => 'AE','pays_iso_code_3' => 'ARE','zone_id' => '21'),
            array('pays_id' => '67','pays_iso_code_2' => 'EC','pays_iso_code_3' => 'ECU','zone_id' => '21'),
            array('pays_id' => '68','pays_iso_code_2' => 'ER','pays_iso_code_3' => 'ERI','zone_id' => '21'),
            array('pays_id' => '69','pays_iso_code_2' => 'ES','pays_iso_code_3' => 'ESP','zone_id' => '20'),
            array('pays_id' => '70','pays_iso_code_2' => 'EE','pays_iso_code_3' => 'EST','zone_id' => '20'),
            array('pays_id' => '71','pays_iso_code_2' => 'US','pays_iso_code_3' => 'USA','zone_id' => '21'),
            array('pays_id' => '72','pays_iso_code_2' => 'ET','pays_iso_code_3' => 'ETH','zone_id' => '21'),
            array('pays_id' => '73','pays_iso_code_2' => 'FK','pays_iso_code_3' => 'FLK','zone_id' => '21'),
            array('pays_id' => '74','pays_iso_code_2' => 'FO','pays_iso_code_3' => 'FRO','zone_id' => '21'),
            array('pays_id' => '75','pays_iso_code_2' => 'FJ','pays_iso_code_3' => 'FJI','zone_id' => '21'),
            array('pays_id' => '76','pays_iso_code_2' => 'FI','pays_iso_code_3' => 'FIN','zone_id' => '20'),
            array('pays_id' => '77','pays_iso_code_2' => 'FR','pays_iso_code_3' => 'FRA','zone_id' => '5'),
            array('pays_id' => '78','pays_iso_code_2' => 'GA','pays_iso_code_3' => 'GAB','zone_id' => '21'),
            array('pays_id' => '79','pays_iso_code_2' => 'GM','pays_iso_code_3' => 'GMB','zone_id' => '21'),
            array('pays_id' => '80','pays_iso_code_2' => 'GE','pays_iso_code_3' => 'GEO','zone_id' => '21'),
            array('pays_id' => '81','pays_iso_code_2' => 'GS','pays_iso_code_3' => 'SGS','zone_id' => '21'),
            array('pays_id' => '82','pays_iso_code_2' => 'GH','pays_iso_code_3' => 'GHA','zone_id' => '21'),
            array('pays_id' => '83','pays_iso_code_2' => 'GI','pays_iso_code_3' => 'GIB','zone_id' => '21'),
            array('pays_id' => '84','pays_iso_code_2' => 'GR','pays_iso_code_3' => 'GRC','zone_id' => '20'),
            array('pays_id' => '85','pays_iso_code_2' => 'GD','pays_iso_code_3' => 'GRD','zone_id' => '21'),
            array('pays_id' => '86','pays_iso_code_2' => 'GL','pays_iso_code_3' => 'GRL','zone_id' => '21'),
            array('pays_id' => '87','pays_iso_code_2' => 'GP','pays_iso_code_3' => 'GLP','zone_id' => '21'),
            array('pays_id' => '88','pays_iso_code_2' => 'GU','pays_iso_code_3' => 'GUM','zone_id' => '21'),
            array('pays_id' => '89','pays_iso_code_2' => 'GT','pays_iso_code_3' => 'GTM','zone_id' => '21'),
            array('pays_id' => '90','pays_iso_code_2' => 'GN','pays_iso_code_3' => 'GIN','zone_id' => '21'),
            array('pays_id' => '91','pays_iso_code_2' => 'GQ','pays_iso_code_3' => 'GNQ','zone_id' => '21'),
            array('pays_id' => '92','pays_iso_code_2' => 'GW','pays_iso_code_3' => 'GNB','zone_id' => '21'),
            array('pays_id' => '93','pays_iso_code_2' => 'GY','pays_iso_code_3' => 'GUY','zone_id' => '21'),
            array('pays_id' => '94','pays_iso_code_2' => 'GF','pays_iso_code_3' => 'GUF','zone_id' => '21'),
            array('pays_id' => '95','pays_iso_code_2' => 'HT','pays_iso_code_3' => 'HTI','zone_id' => '21'),
            array('pays_id' => '96','pays_iso_code_2' => 'HM','pays_iso_code_3' => 'HMD','zone_id' => '21'),
            array('pays_id' => '97','pays_iso_code_2' => 'HN','pays_iso_code_3' => 'HND','zone_id' => '21'),
            array('pays_id' => '98','pays_iso_code_2' => 'HK','pays_iso_code_3' => 'HKG','zone_id' => '21'),
            array('pays_id' => '99','pays_iso_code_2' => 'HU','pays_iso_code_3' => 'HUN','zone_id' => '20'),
            array('pays_id' => '100','pays_iso_code_2' => 'UM','pays_iso_code_3' => 'UMI','zone_id' => '21'),
            array('pays_id' => '101','pays_iso_code_2' => 'VG','pays_iso_code_3' => 'VGB','zone_id' => '21'),
            array('pays_id' => '102','pays_iso_code_2' => 'VI','pays_iso_code_3' => 'VIR','zone_id' => '21'),
            array('pays_id' => '103','pays_iso_code_2' => 'IN','pays_iso_code_3' => 'IND','zone_id' => '21'),
            array('pays_id' => '104','pays_iso_code_2' => 'ID','pays_iso_code_3' => 'IDN','zone_id' => '21'),
            array('pays_id' => '105','pays_iso_code_2' => 'IR','pays_iso_code_3' => 'IRN','zone_id' => '21'),
            array('pays_id' => '106','pays_iso_code_2' => 'IQ','pays_iso_code_3' => 'IRQ','zone_id' => '21'),
            array('pays_id' => '107','pays_iso_code_2' => 'IE','pays_iso_code_3' => 'IRL','zone_id' => '20'),
            array('pays_id' => '108','pays_iso_code_2' => 'IS','pays_iso_code_3' => 'ISL','zone_id' => '21'),
            array('pays_id' => '109','pays_iso_code_2' => 'IL','pays_iso_code_3' => 'ISR','zone_id' => '21'),
            array('pays_id' => '110','pays_iso_code_2' => 'IT','pays_iso_code_3' => 'ITA','zone_id' => '20'),
            array('pays_id' => '111','pays_iso_code_2' => 'JM','pays_iso_code_3' => 'JAM','zone_id' => '21'),
            array('pays_id' => '112','pays_iso_code_2' => 'JP','pays_iso_code_3' => 'JPN','zone_id' => '21'),
            array('pays_id' => '113','pays_iso_code_2' => 'JO','pays_iso_code_3' => 'JOR','zone_id' => '21'),
            array('pays_id' => '114','pays_iso_code_2' => 'KZ','pays_iso_code_3' => 'KAZ','zone_id' => '21'),
            array('pays_id' => '115','pays_iso_code_2' => 'KE','pays_iso_code_3' => 'KEN','zone_id' => '21'),
            array('pays_id' => '116','pays_iso_code_2' => 'KG','pays_iso_code_3' => 'KGZ','zone_id' => '21'),
            array('pays_id' => '117','pays_iso_code_2' => 'KI','pays_iso_code_3' => 'KIR','zone_id' => '21'),
            array('pays_id' => '118','pays_iso_code_2' => 'KW','pays_iso_code_3' => 'KWT','zone_id' => '21'),
            array('pays_id' => '119','pays_iso_code_2' => 'LA','pays_iso_code_3' => 'LAO','zone_id' => '21'),
            array('pays_id' => '120','pays_iso_code_2' => 'LS','pays_iso_code_3' => 'LSO','zone_id' => '21'),
            array('pays_id' => '121','pays_iso_code_2' => 'LV','pays_iso_code_3' => 'LVA','zone_id' => '20'),
            array('pays_id' => '122','pays_iso_code_2' => 'LB','pays_iso_code_3' => 'LBN','zone_id' => '21'),
            array('pays_id' => '123','pays_iso_code_2' => 'LR','pays_iso_code_3' => 'LBR','zone_id' => '21'),
            array('pays_id' => '124','pays_iso_code_2' => 'LY','pays_iso_code_3' => 'LBY','zone_id' => '21'),
            array('pays_id' => '125','pays_iso_code_2' => 'LI','pays_iso_code_3' => 'LIE','zone_id' => '21'),
            array('pays_id' => '126','pays_iso_code_2' => 'LT','pays_iso_code_3' => 'LTU','zone_id' => '20'),
            array('pays_id' => '127','pays_iso_code_2' => 'LU','pays_iso_code_3' => 'LUX','zone_id' => '20'),
            array('pays_id' => '128','pays_iso_code_2' => 'MO','pays_iso_code_3' => 'MAC','zone_id' => '21'),
            array('pays_id' => '129','pays_iso_code_2' => 'MK','pays_iso_code_3' => 'MKD','zone_id' => '21'),
            array('pays_id' => '130','pays_iso_code_2' => 'MG','pays_iso_code_3' => 'MDG','zone_id' => '21'),
            array('pays_id' => '131','pays_iso_code_2' => 'MY','pays_iso_code_3' => 'MYS','zone_id' => '21'),
            array('pays_id' => '132','pays_iso_code_2' => 'MW','pays_iso_code_3' => 'MWI','zone_id' => '21'),
            array('pays_id' => '133','pays_iso_code_2' => 'MV','pays_iso_code_3' => 'MDV','zone_id' => '21'),
            array('pays_id' => '134','pays_iso_code_2' => 'ML','pays_iso_code_3' => 'MLI','zone_id' => '21'),
            array('pays_id' => '135','pays_iso_code_2' => 'MT','pays_iso_code_3' => 'MLT','zone_id' => '20'),
            array('pays_id' => '136','pays_iso_code_2' => 'MP','pays_iso_code_3' => 'MNP','zone_id' => '21'),
            array('pays_id' => '137','pays_iso_code_2' => 'MA','pays_iso_code_3' => 'MAR','zone_id' => '21'),
            array('pays_id' => '138','pays_iso_code_2' => 'MH','pays_iso_code_3' => 'MHL','zone_id' => '21'),
            array('pays_id' => '139','pays_iso_code_2' => 'MQ','pays_iso_code_3' => 'MTQ','zone_id' => '21'),
            array('pays_id' => '140','pays_iso_code_2' => 'MU','pays_iso_code_3' => 'MUS','zone_id' => '21'),
            array('pays_id' => '141','pays_iso_code_2' => 'MR','pays_iso_code_3' => 'MRT','zone_id' => '21'),
            array('pays_id' => '142','pays_iso_code_2' => 'YT','pays_iso_code_3' => 'MYT','zone_id' => '21'),
            array('pays_id' => '143','pays_iso_code_2' => 'MX','pays_iso_code_3' => 'MEX','zone_id' => '21'),
            array('pays_id' => '144','pays_iso_code_2' => 'FM','pays_iso_code_3' => 'FSM','zone_id' => '21'),
            array('pays_id' => '145','pays_iso_code_2' => 'MD','pays_iso_code_3' => 'MDA','zone_id' => '21'),
            array('pays_id' => '146','pays_iso_code_2' => 'MC','pays_iso_code_3' => 'MCO','zone_id' => '5'),
            array('pays_id' => '147','pays_iso_code_2' => 'MN','pays_iso_code_3' => 'MNG','zone_id' => '21'),
            array('pays_id' => '148','pays_iso_code_2' => 'MS','pays_iso_code_3' => 'MSR','zone_id' => '21'),
            array('pays_id' => '149','pays_iso_code_2' => 'MZ','pays_iso_code_3' => 'MOZ','zone_id' => '21'),
            array('pays_id' => '150','pays_iso_code_2' => 'MM','pays_iso_code_3' => 'MMR','zone_id' => '21'),
            array('pays_id' => '151','pays_iso_code_2' => 'NA','pays_iso_code_3' => 'NAM','zone_id' => '21'),
            array('pays_id' => '152','pays_iso_code_2' => 'NR','pays_iso_code_3' => 'NRU','zone_id' => '21'),
            array('pays_id' => '153','pays_iso_code_2' => 'NP','pays_iso_code_3' => 'NPL','zone_id' => '21'),
            array('pays_id' => '154','pays_iso_code_2' => 'NI','pays_iso_code_3' => 'NIC','zone_id' => '21'),
            array('pays_id' => '155','pays_iso_code_2' => 'NE','pays_iso_code_3' => 'NER','zone_id' => '21'),
            array('pays_id' => '156','pays_iso_code_2' => 'NG','pays_iso_code_3' => 'NGA','zone_id' => '21'),
            array('pays_id' => '157','pays_iso_code_2' => 'NU','pays_iso_code_3' => 'NIU','zone_id' => '21'),
            array('pays_id' => '158','pays_iso_code_2' => 'NF','pays_iso_code_3' => 'NFK','zone_id' => '21'),
            array('pays_id' => '159','pays_iso_code_2' => 'NO','pays_iso_code_3' => 'NOR','zone_id' => '21'),
            array('pays_id' => '160','pays_iso_code_2' => 'NC','pays_iso_code_3' => 'NCL','zone_id' => '21'),
            array('pays_id' => '161','pays_iso_code_2' => 'NZ','pays_iso_code_3' => 'NZL','zone_id' => '21'),
            array('pays_id' => '162','pays_iso_code_2' => 'IO','pays_iso_code_3' => 'IOT','zone_id' => '21'),
            array('pays_id' => '163','pays_iso_code_2' => 'OM','pays_iso_code_3' => 'OMN','zone_id' => '21'),
            array('pays_id' => '164','pays_iso_code_2' => 'UG','pays_iso_code_3' => 'UGA','zone_id' => '21'),
            array('pays_id' => '165','pays_iso_code_2' => 'UZ','pays_iso_code_3' => 'UZB','zone_id' => '21'),
            array('pays_id' => '166','pays_iso_code_2' => 'PK','pays_iso_code_3' => 'PAK','zone_id' => '21'),
            array('pays_id' => '167','pays_iso_code_2' => 'PW','pays_iso_code_3' => 'PLW','zone_id' => '21'),
            array('pays_id' => '168','pays_iso_code_2' => 'PS','pays_iso_code_3' => 'PSE','zone_id' => '21'),
            array('pays_id' => '169','pays_iso_code_2' => 'PA','pays_iso_code_3' => 'PAN','zone_id' => '21'),
            array('pays_id' => '170','pays_iso_code_2' => 'PG','pays_iso_code_3' => 'PNG','zone_id' => '21'),
            array('pays_id' => '171','pays_iso_code_2' => 'PY','pays_iso_code_3' => 'PRY','zone_id' => '21'),
            array('pays_id' => '172','pays_iso_code_2' => 'NL','pays_iso_code_3' => 'NLD','zone_id' => '20'),
            array('pays_id' => '173','pays_iso_code_2' => 'PE','pays_iso_code_3' => 'PER','zone_id' => '21'),
            array('pays_id' => '174','pays_iso_code_2' => 'PH','pays_iso_code_3' => 'PHL','zone_id' => '21'),
            array('pays_id' => '175','pays_iso_code_2' => 'PN','pays_iso_code_3' => 'PCN','zone_id' => '21'),
            array('pays_id' => '176','pays_iso_code_2' => 'PL','pays_iso_code_3' => 'POL','zone_id' => '20'),
            array('pays_id' => '177','pays_iso_code_2' => 'PF','pays_iso_code_3' => 'PYF','zone_id' => '21'),
            array('pays_id' => '178','pays_iso_code_2' => 'PR','pays_iso_code_3' => 'PRI','zone_id' => '21'),
            array('pays_id' => '179','pays_iso_code_2' => 'PT','pays_iso_code_3' => 'PRT','zone_id' => '20'),
            array('pays_id' => '180','pays_iso_code_2' => 'QA','pays_iso_code_3' => 'QAT','zone_id' => '21'),
            array('pays_id' => '181','pays_iso_code_2' => 'RE','pays_iso_code_3' => 'REU','zone_id' => '21'),
            array('pays_id' => '182','pays_iso_code_2' => 'RO','pays_iso_code_3' => 'ROM','zone_id' => '20'),
            array('pays_id' => '183','pays_iso_code_2' => 'GB','pays_iso_code_3' => 'GBR','zone_id' => '20'),
            array('pays_id' => '184','pays_iso_code_2' => 'RU','pays_iso_code_3' => 'RUS','zone_id' => '21'),
            array('pays_id' => '185','pays_iso_code_2' => 'RW','pays_iso_code_3' => 'RWA','zone_id' => '21'),
            array('pays_id' => '186','pays_iso_code_2' => 'EH','pays_iso_code_3' => 'ESH','zone_id' => '21'),
            array('pays_id' => '187','pays_iso_code_2' => 'KN','pays_iso_code_3' => 'KNA','zone_id' => '21'),
            array('pays_id' => '188','pays_iso_code_2' => 'SM','pays_iso_code_3' => 'SMR','zone_id' => '21'),
            array('pays_id' => '189','pays_iso_code_2' => 'PM','pays_iso_code_3' => 'SPM','zone_id' => '21'),
            array('pays_id' => '190','pays_iso_code_2' => 'VA','pays_iso_code_3' => 'VAT','zone_id' => '21'),
            array('pays_id' => '191','pays_iso_code_2' => 'VC','pays_iso_code_3' => 'VCT','zone_id' => '21'),
            array('pays_id' => '192','pays_iso_code_2' => 'SH','pays_iso_code_3' => 'SHN','zone_id' => '21'),
            array('pays_id' => '193','pays_iso_code_2' => 'LC','pays_iso_code_3' => 'LCA','zone_id' => '21'),
            array('pays_id' => '194','pays_iso_code_2' => 'SB','pays_iso_code_3' => 'SLB','zone_id' => '21'),
            array('pays_id' => '195','pays_iso_code_2' => 'WS','pays_iso_code_3' => 'WSM','zone_id' => '21'),
            array('pays_id' => '196','pays_iso_code_2' => 'AS','pays_iso_code_3' => 'ASM','zone_id' => '21'),
            array('pays_id' => '197','pays_iso_code_2' => 'ST','pays_iso_code_3' => 'STP','zone_id' => '21'),
            array('pays_id' => '198','pays_iso_code_2' => 'SN','pays_iso_code_3' => 'SEN','zone_id' => '21'),
            array('pays_id' => '199','pays_iso_code_2' => 'CS','pays_iso_code_3' => 'SYC','zone_id' => '21'),
            array('pays_id' => '200','pays_iso_code_2' => 'SC','pays_iso_code_3' => 'SLE','zone_id' => '21'),
            array('pays_id' => '201','pays_iso_code_2' => 'SG','pays_iso_code_3' => 'SGP','zone_id' => '21'),
            array('pays_id' => '202','pays_iso_code_2' => 'SK','pays_iso_code_3' => 'SVK','zone_id' => '20'),
            array('pays_id' => '203','pays_iso_code_2' => 'SI','pays_iso_code_3' => 'SVN','zone_id' => '20'),
            array('pays_id' => '204','pays_iso_code_2' => 'SO','pays_iso_code_3' => 'SOM','zone_id' => '21'),
            array('pays_id' => '205','pays_iso_code_2' => 'SD','pays_iso_code_3' => 'SDN','zone_id' => '21'),
            array('pays_id' => '206','pays_iso_code_2' => 'LK','pays_iso_code_3' => 'LKA','zone_id' => '21'),
            array('pays_id' => '207','pays_iso_code_2' => 'SE','pays_iso_code_3' => 'SWE','zone_id' => '20'),
            array('pays_id' => '208','pays_iso_code_2' => 'CH','pays_iso_code_3' => 'CHE','zone_id' => '21'),
            array('pays_id' => '209','pays_iso_code_2' => 'SR','pays_iso_code_3' => 'SUR','zone_id' => '21'),
            array('pays_id' => '210','pays_iso_code_2' => 'SJ','pays_iso_code_3' => 'SJM','zone_id' => '21'),
            array('pays_id' => '211','pays_iso_code_2' => 'SZ','pays_iso_code_3' => 'SWZ','zone_id' => '21'),
            array('pays_id' => '212','pays_iso_code_2' => 'SY','pays_iso_code_3' => 'SYR','zone_id' => '21'),
            array('pays_id' => '213','pays_iso_code_2' => 'TJ','pays_iso_code_3' => 'TJK','zone_id' => '21'),
            array('pays_id' => '214','pays_iso_code_2' => 'TW','pays_iso_code_3' => 'TWN','zone_id' => '21'),
            array('pays_id' => '215','pays_iso_code_2' => 'TZ','pays_iso_code_3' => 'TZA','zone_id' => '21'),
            array('pays_id' => '216','pays_iso_code_2' => 'TD','pays_iso_code_3' => 'TCD','zone_id' => '21'),
            array('pays_id' => '217','pays_iso_code_2' => 'CZ','pays_iso_code_3' => 'CZE','zone_id' => '20'),
            array('pays_id' => '218','pays_iso_code_2' => 'TF','pays_iso_code_3' => 'ATF','zone_id' => '21'),
            array('pays_id' => '219','pays_iso_code_2' => 'TH','pays_iso_code_3' => 'THA','zone_id' => '21'),
            array('pays_id' => '220','pays_iso_code_2' => 'TL','pays_iso_code_3' => 'TMP','zone_id' => '21'),
            array('pays_id' => '221','pays_iso_code_2' => 'TG','pays_iso_code_3' => 'TGO','zone_id' => '21'),
            array('pays_id' => '222','pays_iso_code_2' => 'TK','pays_iso_code_3' => 'TKL','zone_id' => '21'),
            array('pays_id' => '223','pays_iso_code_2' => 'TO','pays_iso_code_3' => 'TON','zone_id' => '21'),
            array('pays_id' => '224','pays_iso_code_2' => 'TT','pays_iso_code_3' => 'TTO','zone_id' => '21'),
            array('pays_id' => '225','pays_iso_code_2' => 'TN','pays_iso_code_3' => 'TUN','zone_id' => '21'),
            array('pays_id' => '226','pays_iso_code_2' => 'TM','pays_iso_code_3' => 'TKM','zone_id' => '21'),
            array('pays_id' => '227','pays_iso_code_2' => 'TC','pays_iso_code_3' => 'TCA','zone_id' => '21'),
            array('pays_id' => '228','pays_iso_code_2' => 'TR','pays_iso_code_3' => 'TUR','zone_id' => '21'),
            array('pays_id' => '229','pays_iso_code_2' => 'TV','pays_iso_code_3' => 'TUV','zone_id' => '21'),
            array('pays_id' => '230','pays_iso_code_2' => 'UA','pays_iso_code_3' => 'UKR','zone_id' => '21'),
            array('pays_id' => '231','pays_iso_code_2' => 'UY','pays_iso_code_3' => 'URY','zone_id' => '21'),
            array('pays_id' => '232','pays_iso_code_2' => 'VU','pays_iso_code_3' => 'VUT','zone_id' => '21'),
            array('pays_id' => '233','pays_iso_code_2' => 'VE','pays_iso_code_3' => 'VEN','zone_id' => '21'),
            array('pays_id' => '234','pays_iso_code_2' => 'VN','pays_iso_code_3' => 'VNM','zone_id' => '21'),
            array('pays_id' => '235','pays_iso_code_2' => 'WF','pays_iso_code_3' => 'WLF','zone_id' => '21'),
            array('pays_id' => '236','pays_iso_code_2' => 'YE','pays_iso_code_3' => 'YEM','zone_id' => '21'),
            array('pays_id' => '237','pays_iso_code_2' => 'YU','pays_iso_code_3' => 'YUG','zone_id' => '21'),
            array('pays_id' => '238','pays_iso_code_2' => 'ZM','pays_iso_code_3' => 'ZMB','zone_id' => '21'),
            array('pays_id' => '239','pays_iso_code_2' => 'ZW','pays_iso_code_3' => 'ZWE','zone_id' => '21'),
            array('pays_id' => '240','pays_iso_code_2' => 'BL','pays_iso_code_3' => 'BLM','zone_id' => '21')
        );

        $this
            ->table('pays')
            ->insert($pays)
            ->save();

        $pays_nom = array(
            array('pays_nom_id' => '21','pays_id' => '1','langue_id' => '1','pays_nom_nom' => 'Afghanistan'),
            array('pays_nom_id' => '23','pays_id' => '2','langue_id' => '1','pays_nom_nom' => 'Afrique Du Sud'),
            array('pays_nom_id' => '25','pays_id' => '3','langue_id' => '1','pays_nom_nom' => 'Albanie'),
            array('pays_nom_id' => '27','pays_id' => '4','langue_id' => '1','pays_nom_nom' => 'Algérie'),
            array('pays_nom_id' => '29','pays_id' => '5','langue_id' => '1','pays_nom_nom' => 'Allemagne'),
            array('pays_nom_id' => '31','pays_id' => '6','langue_id' => '1','pays_nom_nom' => 'Andorre'),
            array('pays_nom_id' => '33','pays_id' => '7','langue_id' => '1','pays_nom_nom' => 'Angola'),
            array('pays_nom_id' => '35','pays_id' => '8','langue_id' => '1','pays_nom_nom' => 'Anguilla'),
            array('pays_nom_id' => '37','pays_id' => '9','langue_id' => '1','pays_nom_nom' => 'Antarctique'),
            array('pays_nom_id' => '39','pays_id' => '10','langue_id' => '1','pays_nom_nom' => 'Antigua-et-barbuda'),
            array('pays_nom_id' => '41','pays_id' => '11','langue_id' => '1','pays_nom_nom' => 'Antilles Néerlandaises'),
            array('pays_nom_id' => '43','pays_id' => '12','langue_id' => '1','pays_nom_nom' => 'Arabie Saoudite'),
            array('pays_nom_id' => '45','pays_id' => '13','langue_id' => '1','pays_nom_nom' => 'Argentine'),
            array('pays_nom_id' => '47','pays_id' => '14','langue_id' => '1','pays_nom_nom' => 'Arménie'),
            array('pays_nom_id' => '49','pays_id' => '15','langue_id' => '1','pays_nom_nom' => 'Aruba'),
            array('pays_nom_id' => '51','pays_id' => '16','langue_id' => '1','pays_nom_nom' => 'Australie'),
            array('pays_nom_id' => '53','pays_id' => '17','langue_id' => '1','pays_nom_nom' => 'Autriche'),
            array('pays_nom_id' => '55','pays_id' => '18','langue_id' => '1','pays_nom_nom' => 'Azerbaïdjan'),
            array('pays_nom_id' => '57','pays_id' => '19','langue_id' => '1','pays_nom_nom' => 'Bahamas'),
            array('pays_nom_id' => '59','pays_id' => '20','langue_id' => '1','pays_nom_nom' => 'Bahreïn'),
            array('pays_nom_id' => '61','pays_id' => '21','langue_id' => '1','pays_nom_nom' => 'Bangladesh'),
            array('pays_nom_id' => '63','pays_id' => '22','langue_id' => '1','pays_nom_nom' => 'Barbade'),
            array('pays_nom_id' => '65','pays_id' => '23','langue_id' => '1','pays_nom_nom' => 'Bélarus'),
            array('pays_nom_id' => '67','pays_id' => '24','langue_id' => '1','pays_nom_nom' => 'Belgique'),
            array('pays_nom_id' => '69','pays_id' => '25','langue_id' => '1','pays_nom_nom' => 'Belize'),
            array('pays_nom_id' => '71','pays_id' => '26','langue_id' => '1','pays_nom_nom' => 'Bénin'),
            array('pays_nom_id' => '73','pays_id' => '27','langue_id' => '1','pays_nom_nom' => 'Bermudes'),
            array('pays_nom_id' => '75','pays_id' => '28','langue_id' => '1','pays_nom_nom' => 'Bhoutan'),
            array('pays_nom_id' => '77','pays_id' => '29','langue_id' => '1','pays_nom_nom' => 'Bolivie'),
            array('pays_nom_id' => '79','pays_id' => '30','langue_id' => '1','pays_nom_nom' => 'Bosnie-herzégovine'),
            array('pays_nom_id' => '81','pays_id' => '31','langue_id' => '1','pays_nom_nom' => 'Botswana'),
            array('pays_nom_id' => '83','pays_id' => '32','langue_id' => '1','pays_nom_nom' => 'Bouvet, Île'),
            array('pays_nom_id' => '85','pays_id' => '33','langue_id' => '1','pays_nom_nom' => 'Brésil'),
            array('pays_nom_id' => '87','pays_id' => '34','langue_id' => '1','pays_nom_nom' => 'Brunéi Darussalam'),
            array('pays_nom_id' => '89','pays_id' => '35','langue_id' => '1','pays_nom_nom' => 'Bulgarie'),
            array('pays_nom_id' => '91','pays_id' => '36','langue_id' => '1','pays_nom_nom' => 'Burkina Faso'),
            array('pays_nom_id' => '93','pays_id' => '37','langue_id' => '1','pays_nom_nom' => 'Burundi'),
            array('pays_nom_id' => '95','pays_id' => '38','langue_id' => '1','pays_nom_nom' => 'Caïmanes, Îles'),
            array('pays_nom_id' => '97','pays_id' => '39','langue_id' => '1','pays_nom_nom' => 'Cambodge'),
            array('pays_nom_id' => '99','pays_id' => '40','langue_id' => '1','pays_nom_nom' => 'Cameroun'),
            array('pays_nom_id' => '101','pays_id' => '41','langue_id' => '1','pays_nom_nom' => 'Canada'),
            array('pays_nom_id' => '103','pays_id' => '42','langue_id' => '1','pays_nom_nom' => 'Cap-vert'),
            array('pays_nom_id' => '105','pays_id' => '43','langue_id' => '1','pays_nom_nom' => 'Centrafricaine, République'),
            array('pays_nom_id' => '107','pays_id' => '44','langue_id' => '1','pays_nom_nom' => 'Chili'),
            array('pays_nom_id' => '109','pays_id' => '45','langue_id' => '1','pays_nom_nom' => 'Chine'),
            array('pays_nom_id' => '111','pays_id' => '46','langue_id' => '1','pays_nom_nom' => 'Christmas, Île'),
            array('pays_nom_id' => '113','pays_id' => '47','langue_id' => '1','pays_nom_nom' => 'Chypre'),
            array('pays_nom_id' => '115','pays_id' => '48','langue_id' => '1','pays_nom_nom' => 'Cocos (keeling), Îles'),
            array('pays_nom_id' => '117','pays_id' => '49','langue_id' => '1','pays_nom_nom' => 'Colombie'),
            array('pays_nom_id' => '119','pays_id' => '50','langue_id' => '1','pays_nom_nom' => 'Comores'),
            array('pays_nom_id' => '121','pays_id' => '51','langue_id' => '1','pays_nom_nom' => 'Congo'),
            array('pays_nom_id' => '123','pays_id' => '52','langue_id' => '1','pays_nom_nom' => 'Congo, La République Démocratique Du'),
            array('pays_nom_id' => '125','pays_id' => '53','langue_id' => '1','pays_nom_nom' => 'Cook, Îles'),
            array('pays_nom_id' => '127','pays_id' => '54','langue_id' => '1','pays_nom_nom' => 'Corée, République De'),
            array('pays_nom_id' => '129','pays_id' => '55','langue_id' => '1','pays_nom_nom' => 'Corée, République Populaire Démocratique De'),
            array('pays_nom_id' => '131','pays_id' => '56','langue_id' => '1','pays_nom_nom' => 'Costa Rica'),
            array('pays_nom_id' => '133','pays_id' => '57','langue_id' => '1','pays_nom_nom' => 'Côte D\'ivoire'),
            array('pays_nom_id' => '135','pays_id' => '58','langue_id' => '1','pays_nom_nom' => 'Croatie'),
            array('pays_nom_id' => '137','pays_id' => '59','langue_id' => '1','pays_nom_nom' => 'Cuba'),
            array('pays_nom_id' => '139','pays_id' => '60','langue_id' => '1','pays_nom_nom' => 'Danemark'),
            array('pays_nom_id' => '141','pays_id' => '61','langue_id' => '1','pays_nom_nom' => 'Djibouti'),
            array('pays_nom_id' => '143','pays_id' => '62','langue_id' => '1','pays_nom_nom' => 'Dominicaine, République'),
            array('pays_nom_id' => '145','pays_id' => '63','langue_id' => '1','pays_nom_nom' => 'Dominique'),
            array('pays_nom_id' => '147','pays_id' => '64','langue_id' => '1','pays_nom_nom' => 'Égypte'),
            array('pays_nom_id' => '149','pays_id' => '65','langue_id' => '1','pays_nom_nom' => 'El Salvador'),
            array('pays_nom_id' => '151','pays_id' => '66','langue_id' => '1','pays_nom_nom' => 'Émirats Arabes Unis'),
            array('pays_nom_id' => '153','pays_id' => '67','langue_id' => '1','pays_nom_nom' => 'Équateur'),
            array('pays_nom_id' => '155','pays_id' => '68','langue_id' => '1','pays_nom_nom' => 'Érythrée'),
            array('pays_nom_id' => '157','pays_id' => '69','langue_id' => '1','pays_nom_nom' => 'Espagne'),
            array('pays_nom_id' => '159','pays_id' => '70','langue_id' => '1','pays_nom_nom' => 'Estonie'),
            array('pays_nom_id' => '161','pays_id' => '71','langue_id' => '1','pays_nom_nom' => 'États-unis'),
            array('pays_nom_id' => '163','pays_id' => '72','langue_id' => '1','pays_nom_nom' => 'Éthiopie'),
            array('pays_nom_id' => '165','pays_id' => '73','langue_id' => '1','pays_nom_nom' => 'Falkland, Îles (malvinas)'),
            array('pays_nom_id' => '167','pays_id' => '74','langue_id' => '1','pays_nom_nom' => 'Féroé, Îles'),
            array('pays_nom_id' => '169','pays_id' => '75','langue_id' => '1','pays_nom_nom' => 'Fidji'),
            array('pays_nom_id' => '171','pays_id' => '76','langue_id' => '1','pays_nom_nom' => 'Finlande'),
            array('pays_nom_id' => '173','pays_id' => '77','langue_id' => '1','pays_nom_nom' => 'France'),
            array('pays_nom_id' => '175','pays_id' => '78','langue_id' => '1','pays_nom_nom' => 'Gabon'),
            array('pays_nom_id' => '177','pays_id' => '79','langue_id' => '1','pays_nom_nom' => 'Gambie'),
            array('pays_nom_id' => '179','pays_id' => '80','langue_id' => '1','pays_nom_nom' => 'Géorgie'),
            array('pays_nom_id' => '181','pays_id' => '81','langue_id' => '1','pays_nom_nom' => 'Géorgie Du Sud Et Les Îles Sandwich Du Sud'),
            array('pays_nom_id' => '183','pays_id' => '82','langue_id' => '1','pays_nom_nom' => 'Ghana'),
            array('pays_nom_id' => '185','pays_id' => '83','langue_id' => '1','pays_nom_nom' => 'Gibraltar'),
            array('pays_nom_id' => '187','pays_id' => '84','langue_id' => '1','pays_nom_nom' => 'Grèce'),
            array('pays_nom_id' => '189','pays_id' => '85','langue_id' => '1','pays_nom_nom' => 'Grenade'),
            array('pays_nom_id' => '191','pays_id' => '86','langue_id' => '1','pays_nom_nom' => 'Groenland'),
            array('pays_nom_id' => '193','pays_id' => '87','langue_id' => '1','pays_nom_nom' => 'Guadeloupe'),
            array('pays_nom_id' => '195','pays_id' => '88','langue_id' => '1','pays_nom_nom' => 'Guam'),
            array('pays_nom_id' => '197','pays_id' => '89','langue_id' => '1','pays_nom_nom' => 'Guatemala'),
            array('pays_nom_id' => '199','pays_id' => '90','langue_id' => '1','pays_nom_nom' => 'Guinée'),
            array('pays_nom_id' => '201','pays_id' => '91','langue_id' => '1','pays_nom_nom' => 'Guinée Équatoriale'),
            array('pays_nom_id' => '203','pays_id' => '92','langue_id' => '1','pays_nom_nom' => 'Guinée-bissau'),
            array('pays_nom_id' => '205','pays_id' => '93','langue_id' => '1','pays_nom_nom' => 'Guyana'),
            array('pays_nom_id' => '207','pays_id' => '94','langue_id' => '1','pays_nom_nom' => 'Guyane Française'),
            array('pays_nom_id' => '209','pays_id' => '95','langue_id' => '1','pays_nom_nom' => 'Haïti'),
            array('pays_nom_id' => '211','pays_id' => '96','langue_id' => '1','pays_nom_nom' => 'Heard, Île Et Mcdonald, Îles'),
            array('pays_nom_id' => '213','pays_id' => '97','langue_id' => '1','pays_nom_nom' => 'Honduras'),
            array('pays_nom_id' => '215','pays_id' => '98','langue_id' => '1','pays_nom_nom' => 'Hong-kong'),
            array('pays_nom_id' => '217','pays_id' => '99','langue_id' => '1','pays_nom_nom' => 'Hongrie'),
            array('pays_nom_id' => '219','pays_id' => '100','langue_id' => '1','pays_nom_nom' => 'Îles Mineures Éloignées Des États-unis'),
            array('pays_nom_id' => '221','pays_id' => '101','langue_id' => '1','pays_nom_nom' => 'Îles Vierges Britanniques'),
            array('pays_nom_id' => '223','pays_id' => '102','langue_id' => '1','pays_nom_nom' => 'Îles Vierges Des États-unis'),
            array('pays_nom_id' => '225','pays_id' => '103','langue_id' => '1','pays_nom_nom' => 'Inde'),
            array('pays_nom_id' => '227','pays_id' => '104','langue_id' => '1','pays_nom_nom' => 'Indonésie'),
            array('pays_nom_id' => '229','pays_id' => '105','langue_id' => '1','pays_nom_nom' => 'Iran, République Islamique D\''),
            array('pays_nom_id' => '231','pays_id' => '106','langue_id' => '1','pays_nom_nom' => 'Iraq'),
            array('pays_nom_id' => '233','pays_id' => '107','langue_id' => '1','pays_nom_nom' => 'Irlande'),
            array('pays_nom_id' => '235','pays_id' => '108','langue_id' => '1','pays_nom_nom' => 'Islande'),
            array('pays_nom_id' => '237','pays_id' => '109','langue_id' => '1','pays_nom_nom' => 'Israël'),
            array('pays_nom_id' => '239','pays_id' => '110','langue_id' => '1','pays_nom_nom' => 'Italie'),
            array('pays_nom_id' => '241','pays_id' => '111','langue_id' => '1','pays_nom_nom' => 'Jamaïque'),
            array('pays_nom_id' => '243','pays_id' => '112','langue_id' => '1','pays_nom_nom' => 'Japon'),
            array('pays_nom_id' => '245','pays_id' => '113','langue_id' => '1','pays_nom_nom' => 'Jordanie'),
            array('pays_nom_id' => '247','pays_id' => '114','langue_id' => '1','pays_nom_nom' => 'Kazakhstan'),
            array('pays_nom_id' => '249','pays_id' => '115','langue_id' => '1','pays_nom_nom' => 'Kenya'),
            array('pays_nom_id' => '251','pays_id' => '116','langue_id' => '1','pays_nom_nom' => 'Kirghizistan'),
            array('pays_nom_id' => '253','pays_id' => '117','langue_id' => '1','pays_nom_nom' => 'Kiribati'),
            array('pays_nom_id' => '255','pays_id' => '118','langue_id' => '1','pays_nom_nom' => 'Koweït'),
            array('pays_nom_id' => '257','pays_id' => '119','langue_id' => '1','pays_nom_nom' => 'Lao, République Démocratique Populaire'),
            array('pays_nom_id' => '259','pays_id' => '120','langue_id' => '1','pays_nom_nom' => 'Lesotho'),
            array('pays_nom_id' => '261','pays_id' => '121','langue_id' => '1','pays_nom_nom' => 'Lettonie'),
            array('pays_nom_id' => '263','pays_id' => '122','langue_id' => '1','pays_nom_nom' => 'Liban'),
            array('pays_nom_id' => '265','pays_id' => '123','langue_id' => '1','pays_nom_nom' => 'Libéria'),
            array('pays_nom_id' => '267','pays_id' => '124','langue_id' => '1','pays_nom_nom' => 'Libyenne, Jamahiriya Arabe'),
            array('pays_nom_id' => '269','pays_id' => '125','langue_id' => '1','pays_nom_nom' => 'Liechtenstein'),
            array('pays_nom_id' => '271','pays_id' => '126','langue_id' => '1','pays_nom_nom' => 'Lituanie'),
            array('pays_nom_id' => '273','pays_id' => '127','langue_id' => '1','pays_nom_nom' => 'Luxembourg'),
            array('pays_nom_id' => '275','pays_id' => '128','langue_id' => '1','pays_nom_nom' => 'Macao'),
            array('pays_nom_id' => '277','pays_id' => '129','langue_id' => '1','pays_nom_nom' => 'Macédoine, L\'ex-république Yougoslave De'),
            array('pays_nom_id' => '279','pays_id' => '130','langue_id' => '1','pays_nom_nom' => 'Madagascar'),
            array('pays_nom_id' => '281','pays_id' => '131','langue_id' => '1','pays_nom_nom' => 'Malaisie'),
            array('pays_nom_id' => '283','pays_id' => '132','langue_id' => '1','pays_nom_nom' => 'Malawi'),
            array('pays_nom_id' => '285','pays_id' => '133','langue_id' => '1','pays_nom_nom' => 'Maldives'),
            array('pays_nom_id' => '287','pays_id' => '134','langue_id' => '1','pays_nom_nom' => 'Mali'),
            array('pays_nom_id' => '289','pays_id' => '135','langue_id' => '1','pays_nom_nom' => 'Malte'),
            array('pays_nom_id' => '291','pays_id' => '136','langue_id' => '1','pays_nom_nom' => 'Mariannes Du Nord, Îles'),
            array('pays_nom_id' => '293','pays_id' => '137','langue_id' => '1','pays_nom_nom' => 'Maroc'),
            array('pays_nom_id' => '295','pays_id' => '138','langue_id' => '1','pays_nom_nom' => 'Marshall, Îles'),
            array('pays_nom_id' => '297','pays_id' => '139','langue_id' => '1','pays_nom_nom' => 'Martinique'),
            array('pays_nom_id' => '299','pays_id' => '140','langue_id' => '1','pays_nom_nom' => 'Maurice'),
            array('pays_nom_id' => '301','pays_id' => '141','langue_id' => '1','pays_nom_nom' => 'Mauritanie'),
            array('pays_nom_id' => '303','pays_id' => '142','langue_id' => '1','pays_nom_nom' => 'Mayotte'),
            array('pays_nom_id' => '305','pays_id' => '143','langue_id' => '1','pays_nom_nom' => 'Mexique'),
            array('pays_nom_id' => '307','pays_id' => '144','langue_id' => '1','pays_nom_nom' => 'Micronésie, États Fédérés De'),
            array('pays_nom_id' => '309','pays_id' => '145','langue_id' => '1','pays_nom_nom' => 'Moldova, République De'),
            array('pays_nom_id' => '311','pays_id' => '146','langue_id' => '1','pays_nom_nom' => 'Monaco'),
            array('pays_nom_id' => '313','pays_id' => '147','langue_id' => '1','pays_nom_nom' => 'Mongolie'),
            array('pays_nom_id' => '315','pays_id' => '148','langue_id' => '1','pays_nom_nom' => 'Montserrat'),
            array('pays_nom_id' => '317','pays_id' => '149','langue_id' => '1','pays_nom_nom' => 'Mozambique'),
            array('pays_nom_id' => '319','pays_id' => '150','langue_id' => '1','pays_nom_nom' => 'Myanmar'),
            array('pays_nom_id' => '321','pays_id' => '151','langue_id' => '1','pays_nom_nom' => 'Namibie'),
            array('pays_nom_id' => '323','pays_id' => '152','langue_id' => '1','pays_nom_nom' => 'Nauru'),
            array('pays_nom_id' => '325','pays_id' => '153','langue_id' => '1','pays_nom_nom' => 'Népal'),
            array('pays_nom_id' => '327','pays_id' => '154','langue_id' => '1','pays_nom_nom' => 'Nicaragua'),
            array('pays_nom_id' => '329','pays_id' => '155','langue_id' => '1','pays_nom_nom' => 'Niger'),
            array('pays_nom_id' => '331','pays_id' => '156','langue_id' => '1','pays_nom_nom' => 'Nigéria'),
            array('pays_nom_id' => '333','pays_id' => '157','langue_id' => '1','pays_nom_nom' => 'Niué'),
            array('pays_nom_id' => '335','pays_id' => '158','langue_id' => '1','pays_nom_nom' => 'Norfolk, Île'),
            array('pays_nom_id' => '337','pays_id' => '159','langue_id' => '1','pays_nom_nom' => 'Norvège'),
            array('pays_nom_id' => '339','pays_id' => '160','langue_id' => '1','pays_nom_nom' => 'Nouvelle-calédonie'),
            array('pays_nom_id' => '341','pays_id' => '161','langue_id' => '1','pays_nom_nom' => 'Nouvelle-zélande'),
            array('pays_nom_id' => '343','pays_id' => '162','langue_id' => '1','pays_nom_nom' => 'Océan Indien, Territoire Britannique De L\''),
            array('pays_nom_id' => '345','pays_id' => '163','langue_id' => '1','pays_nom_nom' => 'Oman'),
            array('pays_nom_id' => '347','pays_id' => '164','langue_id' => '1','pays_nom_nom' => 'Ouganda'),
            array('pays_nom_id' => '349','pays_id' => '165','langue_id' => '1','pays_nom_nom' => 'Ouzbékistan'),
            array('pays_nom_id' => '351','pays_id' => '166','langue_id' => '1','pays_nom_nom' => 'Pakistan'),
            array('pays_nom_id' => '353','pays_id' => '167','langue_id' => '1','pays_nom_nom' => 'Palaos'),
            array('pays_nom_id' => '355','pays_id' => '168','langue_id' => '1','pays_nom_nom' => 'Palestinien Occupé, Territoire'),
            array('pays_nom_id' => '357','pays_id' => '169','langue_id' => '1','pays_nom_nom' => 'Panama'),
            array('pays_nom_id' => '359','pays_id' => '170','langue_id' => '1','pays_nom_nom' => 'Papouasie-nouvelle-guinée'),
            array('pays_nom_id' => '361','pays_id' => '171','langue_id' => '1','pays_nom_nom' => 'Paraguay'),
            array('pays_nom_id' => '363','pays_id' => '172','langue_id' => '1','pays_nom_nom' => 'Pays-bas'),
            array('pays_nom_id' => '365','pays_id' => '173','langue_id' => '1','pays_nom_nom' => 'Pérou'),
            array('pays_nom_id' => '367','pays_id' => '174','langue_id' => '1','pays_nom_nom' => 'Philippines'),
            array('pays_nom_id' => '369','pays_id' => '175','langue_id' => '1','pays_nom_nom' => 'Pitcairn'),
            array('pays_nom_id' => '371','pays_id' => '176','langue_id' => '1','pays_nom_nom' => 'Pologne'),
            array('pays_nom_id' => '373','pays_id' => '177','langue_id' => '1','pays_nom_nom' => 'Polynésie Française'),
            array('pays_nom_id' => '375','pays_id' => '178','langue_id' => '1','pays_nom_nom' => 'Porto Rico'),
            array('pays_nom_id' => '377','pays_id' => '179','langue_id' => '1','pays_nom_nom' => 'Portugal'),
            array('pays_nom_id' => '379','pays_id' => '180','langue_id' => '1','pays_nom_nom' => 'Qatar'),
            array('pays_nom_id' => '381','pays_id' => '181','langue_id' => '1','pays_nom_nom' => 'Réunion'),
            array('pays_nom_id' => '383','pays_id' => '182','langue_id' => '1','pays_nom_nom' => 'Roumanie'),
            array('pays_nom_id' => '385','pays_id' => '183','langue_id' => '1','pays_nom_nom' => 'Royaume-uni'),
            array('pays_nom_id' => '387','pays_id' => '184','langue_id' => '1','pays_nom_nom' => 'Russie, Fédération De'),
            array('pays_nom_id' => '389','pays_id' => '185','langue_id' => '1','pays_nom_nom' => 'Rwanda'),
            array('pays_nom_id' => '391','pays_id' => '186','langue_id' => '1','pays_nom_nom' => 'Sahara Occidental'),
            array('pays_nom_id' => '393','pays_id' => '187','langue_id' => '1','pays_nom_nom' => 'Saint-kitts-et-nevis'),
            array('pays_nom_id' => '395','pays_id' => '188','langue_id' => '1','pays_nom_nom' => 'Saint-marin'),
            array('pays_nom_id' => '397','pays_id' => '189','langue_id' => '1','pays_nom_nom' => 'Saint-pierre-et-miquelon'),
            array('pays_nom_id' => '399','pays_id' => '190','langue_id' => '1','pays_nom_nom' => 'Saint-siège (état De La Cité Du Vatican)'),
            array('pays_nom_id' => '401','pays_id' => '191','langue_id' => '1','pays_nom_nom' => 'Saint-vincent-et-les Grenadines'),
            array('pays_nom_id' => '403','pays_id' => '192','langue_id' => '1','pays_nom_nom' => 'Sainte-hélène'),
            array('pays_nom_id' => '405','pays_id' => '193','langue_id' => '1','pays_nom_nom' => 'Sainte-lucie'),
            array('pays_nom_id' => '407','pays_id' => '194','langue_id' => '1','pays_nom_nom' => 'Salomon, Îles'),
            array('pays_nom_id' => '409','pays_id' => '195','langue_id' => '1','pays_nom_nom' => 'Samoa'),
            array('pays_nom_id' => '411','pays_id' => '196','langue_id' => '1','pays_nom_nom' => 'Samoa Américaines'),
            array('pays_nom_id' => '413','pays_id' => '197','langue_id' => '1','pays_nom_nom' => 'Sao Tomé-et-principe'),
            array('pays_nom_id' => '415','pays_id' => '198','langue_id' => '1','pays_nom_nom' => 'Sénégal'),
            array('pays_nom_id' => '417','pays_id' => '199','langue_id' => '1','pays_nom_nom' => 'Seychelles'),
            array('pays_nom_id' => '419','pays_id' => '200','langue_id' => '1','pays_nom_nom' => 'Sierra Leone'),
            array('pays_nom_id' => '421','pays_id' => '201','langue_id' => '1','pays_nom_nom' => 'Singapour'),
            array('pays_nom_id' => '423','pays_id' => '202','langue_id' => '1','pays_nom_nom' => 'Slovaquie'),
            array('pays_nom_id' => '425','pays_id' => '203','langue_id' => '1','pays_nom_nom' => 'Slovénie'),
            array('pays_nom_id' => '427','pays_id' => '204','langue_id' => '1','pays_nom_nom' => 'Somalie'),
            array('pays_nom_id' => '429','pays_id' => '205','langue_id' => '1','pays_nom_nom' => 'Soudan'),
            array('pays_nom_id' => '431','pays_id' => '206','langue_id' => '1','pays_nom_nom' => 'Sri Lanka'),
            array('pays_nom_id' => '433','pays_id' => '207','langue_id' => '1','pays_nom_nom' => 'Suède'),
            array('pays_nom_id' => '435','pays_id' => '208','langue_id' => '1','pays_nom_nom' => 'Suisse'),
            array('pays_nom_id' => '437','pays_id' => '209','langue_id' => '1','pays_nom_nom' => 'Suriname'),
            array('pays_nom_id' => '439','pays_id' => '210','langue_id' => '1','pays_nom_nom' => 'Svalbard Et Île Jan Mayen'),
            array('pays_nom_id' => '441','pays_id' => '211','langue_id' => '1','pays_nom_nom' => 'Swaziland'),
            array('pays_nom_id' => '443','pays_id' => '212','langue_id' => '1','pays_nom_nom' => 'Syrienne, République Arabe'),
            array('pays_nom_id' => '445','pays_id' => '213','langue_id' => '1','pays_nom_nom' => 'Tadjikistan'),
            array('pays_nom_id' => '447','pays_id' => '214','langue_id' => '1','pays_nom_nom' => 'Taïwan, Province De Chine'),
            array('pays_nom_id' => '449','pays_id' => '215','langue_id' => '1','pays_nom_nom' => 'Tanzanie, République-unie De'),
            array('pays_nom_id' => '451','pays_id' => '216','langue_id' => '1','pays_nom_nom' => 'Tchad'),
            array('pays_nom_id' => '453','pays_id' => '217','langue_id' => '1','pays_nom_nom' => 'Tchèque, République'),
            array('pays_nom_id' => '455','pays_id' => '218','langue_id' => '1','pays_nom_nom' => 'Terres Australes Françaises'),
            array('pays_nom_id' => '457','pays_id' => '219','langue_id' => '1','pays_nom_nom' => 'Thaïlande'),
            array('pays_nom_id' => '459','pays_id' => '220','langue_id' => '1','pays_nom_nom' => 'Timor-leste'),
            array('pays_nom_id' => '461','pays_id' => '221','langue_id' => '1','pays_nom_nom' => 'Togo'),
            array('pays_nom_id' => '463','pays_id' => '222','langue_id' => '1','pays_nom_nom' => 'Tokelau'),
            array('pays_nom_id' => '465','pays_id' => '223','langue_id' => '1','pays_nom_nom' => 'Tonga'),
            array('pays_nom_id' => '467','pays_id' => '224','langue_id' => '1','pays_nom_nom' => 'Trinité-et-tobago'),
            array('pays_nom_id' => '469','pays_id' => '225','langue_id' => '1','pays_nom_nom' => 'Tunisie'),
            array('pays_nom_id' => '471','pays_id' => '226','langue_id' => '1','pays_nom_nom' => 'Turkménistan'),
            array('pays_nom_id' => '473','pays_id' => '227','langue_id' => '1','pays_nom_nom' => 'Turks Et Caïques, Îles'),
            array('pays_nom_id' => '475','pays_id' => '228','langue_id' => '1','pays_nom_nom' => 'Turquie'),
            array('pays_nom_id' => '477','pays_id' => '229','langue_id' => '1','pays_nom_nom' => 'Tuvalu'),
            array('pays_nom_id' => '479','pays_id' => '230','langue_id' => '1','pays_nom_nom' => 'Ukraine'),
            array('pays_nom_id' => '481','pays_id' => '231','langue_id' => '1','pays_nom_nom' => 'Uruguay'),
            array('pays_nom_id' => '483','pays_id' => '232','langue_id' => '1','pays_nom_nom' => 'Vanuatu'),
            array('pays_nom_id' => '485','pays_id' => '233','langue_id' => '1','pays_nom_nom' => 'Venezuela'),
            array('pays_nom_id' => '487','pays_id' => '234','langue_id' => '1','pays_nom_nom' => 'Viet Nam'),
            array('pays_nom_id' => '489','pays_id' => '235','langue_id' => '1','pays_nom_nom' => 'Wallis Et Futuna'),
            array('pays_nom_id' => '491','pays_id' => '236','langue_id' => '1','pays_nom_nom' => 'Yémen'),
            array('pays_nom_id' => '493','pays_id' => '237','langue_id' => '1','pays_nom_nom' => 'Yougoslavie'),
            array('pays_nom_id' => '495','pays_id' => '238','langue_id' => '1','pays_nom_nom' => 'Zambie'),
            array('pays_nom_id' => '497','pays_id' => '239','langue_id' => '1','pays_nom_nom' => 'Zimbabwe'),
            array('pays_nom_id' => '499','pays_id' => '240','langue_id' => '1','pays_nom_nom' => 'Saint-Barthélemy'),
//            array('pays_nom_id' => '500','pays_id' => '1','langue_id' => '2','pays_nom_nom' => 'Afghanistan'),
//            array('pays_nom_id' => '501','pays_id' => '2','langue_id' => '2','pays_nom_nom' => 'South Africa'),
//            array('pays_nom_id' => '502','pays_id' => '3','langue_id' => '2','pays_nom_nom' => 'Albania'),
//            array('pays_nom_id' => '503','pays_id' => '4','langue_id' => '2','pays_nom_nom' => 'Algeria'),
//            array('pays_nom_id' => '504','pays_id' => '5','langue_id' => '2','pays_nom_nom' => 'Germany'),
//            array('pays_nom_id' => '505','pays_id' => '6','langue_id' => '2','pays_nom_nom' => 'Andorra'),
//            array('pays_nom_id' => '506','pays_id' => '7','langue_id' => '2','pays_nom_nom' => 'Angola'),
//            array('pays_nom_id' => '507','pays_id' => '8','langue_id' => '2','pays_nom_nom' => 'Anguilla'),
//            array('pays_nom_id' => '508','pays_id' => '9','langue_id' => '2','pays_nom_nom' => 'Antartica'),
//            array('pays_nom_id' => '509','pays_id' => '10','langue_id' => '2','pays_nom_nom' => 'Antigua and Barbuda'),
//            array('pays_nom_id' => '510','pays_id' => '11','langue_id' => '2','pays_nom_nom' => 'Netherlands Antilles'),
//            array('pays_nom_id' => '511','pays_id' => '12','langue_id' => '2','pays_nom_nom' => 'Saudi Arabia'),
//            array('pays_nom_id' => '512','pays_id' => '13','langue_id' => '2','pays_nom_nom' => 'Argentina'),
//            array('pays_nom_id' => '513','pays_id' => '14','langue_id' => '2','pays_nom_nom' => 'Armenie'),
//            array('pays_nom_id' => '514','pays_id' => '15','langue_id' => '2','pays_nom_nom' => 'Aruba'),
//            array('pays_nom_id' => '515','pays_id' => '16','langue_id' => '2','pays_nom_nom' => 'Austria'),
//            array('pays_nom_id' => '516','pays_id' => '17','langue_id' => '2','pays_nom_nom' => 'Austria'),
//            array('pays_nom_id' => '517','pays_id' => '18','langue_id' => '2','pays_nom_nom' => 'Azerbaidjan'),
//            array('pays_nom_id' => '518','pays_id' => '19','langue_id' => '2','pays_nom_nom' => 'Bahamas'),
//            array('pays_nom_id' => '519','pays_id' => '20','langue_id' => '2','pays_nom_nom' => 'Bahrain'),
//            array('pays_nom_id' => '520','pays_id' => '21','langue_id' => '2','pays_nom_nom' => 'Bangladesh'),
//            array('pays_nom_id' => '521','pays_id' => '22','langue_id' => '2','pays_nom_nom' => 'Barbados'),
//            array('pays_nom_id' => '522','pays_id' => '23','langue_id' => '2','pays_nom_nom' => 'Belarus'),
//            array('pays_nom_id' => '523','pays_id' => '24','langue_id' => '2','pays_nom_nom' => 'Belgium'),
//            array('pays_nom_id' => '524','pays_id' => '25','langue_id' => '2','pays_nom_nom' => 'Belize'),
//            array('pays_nom_id' => '525','pays_id' => '26','langue_id' => '2','pays_nom_nom' => 'Benin'),
//            array('pays_nom_id' => '526','pays_id' => '27','langue_id' => '2','pays_nom_nom' => 'Bermuda'),
//            array('pays_nom_id' => '527','pays_id' => '28','langue_id' => '2','pays_nom_nom' => 'Bhutan'),
//            array('pays_nom_id' => '528','pays_id' => '29','langue_id' => '2','pays_nom_nom' => 'Bolivia'),
//            array('pays_nom_id' => '529','pays_id' => '30','langue_id' => '2','pays_nom_nom' => 'Bosnia-Herzegovina'),
//            array('pays_nom_id' => '530','pays_id' => '31','langue_id' => '2','pays_nom_nom' => 'Botswana'),
//            array('pays_nom_id' => '531','pays_id' => '32','langue_id' => '2','pays_nom_nom' => 'Bouvet Island'),
//            array('pays_nom_id' => '532','pays_id' => '33','langue_id' => '2','pays_nom_nom' => 'Brazil'),
//            array('pays_nom_id' => '533','pays_id' => '34','langue_id' => '2','pays_nom_nom' => 'Brunei Darussalam'),
//            array('pays_nom_id' => '534','pays_id' => '35','langue_id' => '2','pays_nom_nom' => 'Bulgaria'),
//            array('pays_nom_id' => '535','pays_id' => '36','langue_id' => '2','pays_nom_nom' => 'Burkina Faso'),
//            array('pays_nom_id' => '536','pays_id' => '37','langue_id' => '2','pays_nom_nom' => 'Burundi'),
//            array('pays_nom_id' => '537','pays_id' => '38','langue_id' => '2','pays_nom_nom' => 'Cayman Islands'),
//            array('pays_nom_id' => '538','pays_id' => '39','langue_id' => '2','pays_nom_nom' => 'Cambodia'),
//            array('pays_nom_id' => '539','pays_id' => '40','langue_id' => '2','pays_nom_nom' => 'Cameroon'),
//            array('pays_nom_id' => '540','pays_id' => '41','langue_id' => '2','pays_nom_nom' => 'Canada'),
//            array('pays_nom_id' => '541','pays_id' => '42','langue_id' => '2','pays_nom_nom' => 'Cape Verde'),
//            array('pays_nom_id' => '542','pays_id' => '43','langue_id' => '2','pays_nom_nom' => 'Central African Republic'),
//            array('pays_nom_id' => '543','pays_id' => '44','langue_id' => '2','pays_nom_nom' => 'Chile'),
//            array('pays_nom_id' => '544','pays_id' => '45','langue_id' => '2','pays_nom_nom' => 'China'),
//            array('pays_nom_id' => '545','pays_id' => '46','langue_id' => '2','pays_nom_nom' => 'Christmas Island'),
//            array('pays_nom_id' => '546','pays_id' => '47','langue_id' => '2','pays_nom_nom' => 'Cyprus'),
//            array('pays_nom_id' => '547','pays_id' => '48','langue_id' => '2','pays_nom_nom' => 'Cocos (keeling) Islands'),
//            array('pays_nom_id' => '548','pays_id' => '49','langue_id' => '2','pays_nom_nom' => 'Colombia'),
//            array('pays_nom_id' => '549','pays_id' => '50','langue_id' => '2','pays_nom_nom' => 'Comoros'),
//            array('pays_nom_id' => '550','pays_id' => '51','langue_id' => '2','pays_nom_nom' => 'Congo'),
//            array('pays_nom_id' => '551','pays_id' => '52','langue_id' => '2','pays_nom_nom' => 'The democratic republic of congo'),
//            array('pays_nom_id' => '552','pays_id' => '53','langue_id' => '2','pays_nom_nom' => 'Cook Islands'),
//            array('pays_nom_id' => '553','pays_id' => '54','langue_id' => '2','pays_nom_nom' => 'korea'),
//            array('pays_nom_id' => '554','pays_id' => '56','langue_id' => '2','pays_nom_nom' => 'Costa Rica'),
//            array('pays_nom_id' => '555','pays_id' => '57','langue_id' => '2','pays_nom_nom' => 'Ivory Coast'),
//            array('pays_nom_id' => '556','pays_id' => '58','langue_id' => '2','pays_nom_nom' => 'Croatia'),
//            array('pays_nom_id' => '557','pays_id' => '59','langue_id' => '2','pays_nom_nom' => 'Cuba'),
//            array('pays_nom_id' => '558','pays_id' => '60','langue_id' => '2','pays_nom_nom' => 'Denmark'),
//            array('pays_nom_id' => '559','pays_id' => '61','langue_id' => '2','pays_nom_nom' => 'Djibouti'),
//            array('pays_nom_id' => '560','pays_id' => '62','langue_id' => '2','pays_nom_nom' => 'Dominican Republic'),
//            array('pays_nom_id' => '561','pays_id' => '63','langue_id' => '2','pays_nom_nom' => 'Dominique'),
//            array('pays_nom_id' => '562','pays_id' => '64','langue_id' => '2','pays_nom_nom' => 'Egypt'),
//            array('pays_nom_id' => '563','pays_id' => '65','langue_id' => '2','pays_nom_nom' => 'El Salvador'),
//            array('pays_nom_id' => '564','pays_id' => '66','langue_id' => '2','pays_nom_nom' => 'United Arab Emirates'),
//            array('pays_nom_id' => '565','pays_id' => '67','langue_id' => '2','pays_nom_nom' => 'Ecuador'),
//            array('pays_nom_id' => '566','pays_id' => '68','langue_id' => '2','pays_nom_nom' => 'Eritrea'),
//            array('pays_nom_id' => '567','pays_id' => '69','langue_id' => '2','pays_nom_nom' => 'Spain'),
//            array('pays_nom_id' => '568','pays_id' => '70','langue_id' => '2','pays_nom_nom' => 'Estonia'),
//            array('pays_nom_id' => '569','pays_id' => '71','langue_id' => '2','pays_nom_nom' => 'USA'),
//            array('pays_nom_id' => '570','pays_id' => '72','langue_id' => '2','pays_nom_nom' => 'Ethiopia'),
//            array('pays_nom_id' => '571','pays_id' => '73','langue_id' => '2','pays_nom_nom' => 'Falkland, Island (malvinas)'),
//            array('pays_nom_id' => '572','pays_id' => '74','langue_id' => '2','pays_nom_nom' => 'Faroe Islands'),
//            array('pays_nom_id' => '573','pays_id' => '75','langue_id' => '2','pays_nom_nom' => 'Fidji'),
//            array('pays_nom_id' => '574','pays_id' => '76','langue_id' => '2','pays_nom_nom' => 'Finland'),
//            array('pays_nom_id' => '575','pays_id' => '77','langue_id' => '2','pays_nom_nom' => 'France'),
//            array('pays_nom_id' => '576','pays_id' => '78','langue_id' => '2','pays_nom_nom' => 'Gabon'),
//            array('pays_nom_id' => '577','pays_id' => '79','langue_id' => '2','pays_nom_nom' => 'Gambia'),
//            array('pays_nom_id' => '578','pays_id' => '80','langue_id' => '2','pays_nom_nom' => 'Georgia'),
//            array('pays_nom_id' => '579','pays_id' => '81','langue_id' => '2','pays_nom_nom' => 'Georgia'),
//            array('pays_nom_id' => '580','pays_id' => '82','langue_id' => '2','pays_nom_nom' => 'Ghana'),
//            array('pays_nom_id' => '581','pays_id' => '83','langue_id' => '2','pays_nom_nom' => 'Gibraltar'),
//            array('pays_nom_id' => '582','pays_id' => '84','langue_id' => '2','pays_nom_nom' => 'Greece'),
//            array('pays_nom_id' => '583','pays_id' => '85','langue_id' => '2','pays_nom_nom' => 'Grenada'),
//            array('pays_nom_id' => '584','pays_id' => '86','langue_id' => '2','pays_nom_nom' => 'Greenland'),
//            array('pays_nom_id' => '585','pays_id' => '87','langue_id' => '2','pays_nom_nom' => 'Guadeloupe'),
//            array('pays_nom_id' => '586','pays_id' => '88','langue_id' => '2','pays_nom_nom' => 'Guam'),
//            array('pays_nom_id' => '587','pays_id' => '89','langue_id' => '2','pays_nom_nom' => 'Guatemala'),
//            array('pays_nom_id' => '588','pays_id' => '90','langue_id' => '2','pays_nom_nom' => 'Guinea'),
//            array('pays_nom_id' => '589','pays_id' => '91','langue_id' => '2','pays_nom_nom' => 'Equatorial Guinea'),
//            array('pays_nom_id' => '590','pays_id' => '92','langue_id' => '2','pays_nom_nom' => 'Guinea-bissau'),
//            array('pays_nom_id' => '591','pays_id' => '93','langue_id' => '2','pays_nom_nom' => 'Guyana'),
//            array('pays_nom_id' => '592','pays_id' => '94','langue_id' => '2','pays_nom_nom' => 'French Guiana'),
//            array('pays_nom_id' => '593','pays_id' => '95','langue_id' => '2','pays_nom_nom' => 'Haïti'),
//            array('pays_nom_id' => '594','pays_id' => '96','langue_id' => '2','pays_nom_nom' => 'Heard, Island Et Mcdonald, Islands'),
//            array('pays_nom_id' => '595','pays_id' => '97','langue_id' => '2','pays_nom_nom' => 'Honduras'),
//            array('pays_nom_id' => '596','pays_id' => '98','langue_id' => '2','pays_nom_nom' => 'Hong-kong'),
//            array('pays_nom_id' => '597','pays_id' => '99','langue_id' => '2','pays_nom_nom' => 'Hungary'),
//            array('pays_nom_id' => '598','pays_id' => '100','langue_id' => '2','pays_nom_nom' => 'Minor Outlying Islands United States'),
//            array('pays_nom_id' => '599','pays_id' => '101','langue_id' => '2','pays_nom_nom' => 'Bristish Virgin Islands'),
//            array('pays_nom_id' => '600','pays_id' => '102','langue_id' => '2','pays_nom_nom' => 'Virgin Islands United States'),
//            array('pays_nom_id' => '601','pays_id' => '103','langue_id' => '2','pays_nom_nom' => 'India'),
//            array('pays_nom_id' => '602','pays_id' => '104','langue_id' => '2','pays_nom_nom' => 'Indonesia'),
//            array('pays_nom_id' => '603','pays_id' => '105','langue_id' => '2','pays_nom_nom' => 'Iran'),
//            array('pays_nom_id' => '604','pays_id' => '106','langue_id' => '2','pays_nom_nom' => 'Irak'),
//            array('pays_nom_id' => '605','pays_id' => '107','langue_id' => '2','pays_nom_nom' => 'Irland'),
//            array('pays_nom_id' => '606','pays_id' => '108','langue_id' => '2','pays_nom_nom' => 'Iceland'),
//            array('pays_nom_id' => '607','pays_id' => '109','langue_id' => '2','pays_nom_nom' => 'Israel'),
//            array('pays_nom_id' => '608','pays_id' => '110','langue_id' => '2','pays_nom_nom' => 'Italy'),
//            array('pays_nom_id' => '609','pays_id' => '111','langue_id' => '2','pays_nom_nom' => 'Jamaica'),
//            array('pays_nom_id' => '610','pays_id' => '112','langue_id' => '2','pays_nom_nom' => 'Japan'),
//            array('pays_nom_id' => '611','pays_id' => '113','langue_id' => '2','pays_nom_nom' => 'Jordan'),
//            array('pays_nom_id' => '612','pays_id' => '114','langue_id' => '2','pays_nom_nom' => 'Kazakhstan'),
//            array('pays_nom_id' => '613','pays_id' => '115','langue_id' => '2','pays_nom_nom' => 'Kenya'),
//            array('pays_nom_id' => '614','pays_id' => '116','langue_id' => '2','pays_nom_nom' => 'Kyrgyzstan'),
//            array('pays_nom_id' => '615','pays_id' => '117','langue_id' => '2','pays_nom_nom' => 'Kiribati'),
//            array('pays_nom_id' => '616','pays_id' => '118','langue_id' => '2','pays_nom_nom' => 'Kuwait'),
//            array('pays_nom_id' => '617','pays_id' => '119','langue_id' => '2','pays_nom_nom' => 'Lao'),
//            array('pays_nom_id' => '618','pays_id' => '120','langue_id' => '2','pays_nom_nom' => 'Lesotho'),
//            array('pays_nom_id' => '619','pays_id' => '121','langue_id' => '2','pays_nom_nom' => 'Latvia'),
//            array('pays_nom_id' => '620','pays_id' => '122','langue_id' => '2','pays_nom_nom' => 'Lebanon'),
//            array('pays_nom_id' => '621','pays_id' => '123','langue_id' => '2','pays_nom_nom' => 'Liberia'),
//            array('pays_nom_id' => '622','pays_id' => '124','langue_id' => '2','pays_nom_nom' => 'Libyenne, Jamahiriya Arabe'),
//            array('pays_nom_id' => '623','pays_id' => '125','langue_id' => '2','pays_nom_nom' => 'Liechtenstein'),
//            array('pays_nom_id' => '624','pays_id' => '126','langue_id' => '2','pays_nom_nom' => 'Lithuania'),
//            array('pays_nom_id' => '625','pays_id' => '127','langue_id' => '2','pays_nom_nom' => 'Luxembourg'),
//            array('pays_nom_id' => '626','pays_id' => '128','langue_id' => '2','pays_nom_nom' => 'Macao'),
//            array('pays_nom_id' => '627','pays_id' => '129','langue_id' => '2','pays_nom_nom' => 'Macedonia'),
//            array('pays_nom_id' => '628','pays_id' => '130','langue_id' => '2','pays_nom_nom' => 'Madagascar'),
//            array('pays_nom_id' => '629','pays_id' => '131','langue_id' => '2','pays_nom_nom' => 'Malaysia'),
//            array('pays_nom_id' => '630','pays_id' => '132','langue_id' => '2','pays_nom_nom' => 'Malawi'),
//            array('pays_nom_id' => '631','pays_id' => '133','langue_id' => '2','pays_nom_nom' => 'Maldives'),
//            array('pays_nom_id' => '632','pays_id' => '134','langue_id' => '2','pays_nom_nom' => 'Mali'),
//            array('pays_nom_id' => '633','pays_id' => '135','langue_id' => '2','pays_nom_nom' => 'Malta'),
//            array('pays_nom_id' => '634','pays_id' => '136','langue_id' => '2','pays_nom_nom' => 'Northern Mariana Islands'),
//            array('pays_nom_id' => '635','pays_id' => '137','langue_id' => '2','pays_nom_nom' => 'Marocco'),
//            array('pays_nom_id' => '636','pays_id' => '138','langue_id' => '2','pays_nom_nom' => 'Marshall Islands'),
//            array('pays_nom_id' => '637','pays_id' => '139','langue_id' => '2','pays_nom_nom' => 'Martinique'),
//            array('pays_nom_id' => '638','pays_id' => '140','langue_id' => '2','pays_nom_nom' => 'Maurice'),
//            array('pays_nom_id' => '639','pays_id' => '141','langue_id' => '2','pays_nom_nom' => 'Mauritania'),
//            array('pays_nom_id' => '640','pays_id' => '142','langue_id' => '2','pays_nom_nom' => 'Mayotte'),
//            array('pays_nom_id' => '641','pays_id' => '143','langue_id' => '2','pays_nom_nom' => 'Mexico'),
//            array('pays_nom_id' => '642','pays_id' => '144','langue_id' => '2','pays_nom_nom' => 'Micronesia'),
//            array('pays_nom_id' => '643','pays_id' => '145','langue_id' => '2','pays_nom_nom' => 'Moldova'),
//            array('pays_nom_id' => '644','pays_id' => '146','langue_id' => '2','pays_nom_nom' => 'Monaco'),
//            array('pays_nom_id' => '645','pays_id' => '147','langue_id' => '2','pays_nom_nom' => 'Mongolia'),
//            array('pays_nom_id' => '646','pays_id' => '148','langue_id' => '2','pays_nom_nom' => 'Montserrat'),
//            array('pays_nom_id' => '647','pays_id' => '149','langue_id' => '2','pays_nom_nom' => 'Mozambique'),
//            array('pays_nom_id' => '648','pays_id' => '150','langue_id' => '2','pays_nom_nom' => 'Myanmar'),
//            array('pays_nom_id' => '649','pays_id' => '151','langue_id' => '2','pays_nom_nom' => 'Namibia'),
//            array('pays_nom_id' => '650','pays_id' => '152','langue_id' => '2','pays_nom_nom' => 'Nauru'),
//            array('pays_nom_id' => '651','pays_id' => '153','langue_id' => '2','pays_nom_nom' => 'Nepal'),
//            array('pays_nom_id' => '652','pays_id' => '154','langue_id' => '2','pays_nom_nom' => 'Nicaragua'),
//            array('pays_nom_id' => '653','pays_id' => '155','langue_id' => '2','pays_nom_nom' => 'Niger'),
//            array('pays_nom_id' => '654','pays_id' => '156','langue_id' => '2','pays_nom_nom' => 'Nigeria'),
//            array('pays_nom_id' => '655','pays_id' => '157','langue_id' => '2','pays_nom_nom' => 'Niue'),
//            array('pays_nom_id' => '656','pays_id' => '158','langue_id' => '2','pays_nom_nom' => 'Norfolk Island'),
//            array('pays_nom_id' => '657','pays_id' => '159','langue_id' => '2','pays_nom_nom' => 'Norway'),
//            array('pays_nom_id' => '658','pays_id' => '160','langue_id' => '2','pays_nom_nom' => 'New Caledonia'),
//            array('pays_nom_id' => '659','pays_id' => '161','langue_id' => '2','pays_nom_nom' => 'New Zealand'),
//            array('pays_nom_id' => '660','pays_id' => '162','langue_id' => '2','pays_nom_nom' => 'Indian Ocean Territory British'),
//            array('pays_nom_id' => '661','pays_id' => '163','langue_id' => '2','pays_nom_nom' => 'Oman'),
//            array('pays_nom_id' => '662','pays_id' => '164','langue_id' => '2','pays_nom_nom' => 'Uganda'),
//            array('pays_nom_id' => '663','pays_id' => '165','langue_id' => '2','pays_nom_nom' => 'Uzbekistan'),
//            array('pays_nom_id' => '664','pays_id' => '166','langue_id' => '2','pays_nom_nom' => 'Pakistan'),
//            array('pays_nom_id' => '665','pays_id' => '167','langue_id' => '2','pays_nom_nom' => 'Palau'),
//            array('pays_nom_id' => '666','pays_id' => '168','langue_id' => '2','pays_nom_nom' => 'Palestinian'),
//            array('pays_nom_id' => '667','pays_id' => '169','langue_id' => '2','pays_nom_nom' => 'Panama'),
//            array('pays_nom_id' => '668','pays_id' => '170','langue_id' => '2','pays_nom_nom' => 'Papua New Guinea'),
//            array('pays_nom_id' => '669','pays_id' => '171','langue_id' => '2','pays_nom_nom' => 'Paraguay'),
//            array('pays_nom_id' => '670','pays_id' => '172','langue_id' => '2','pays_nom_nom' => 'Netherlands'),
//            array('pays_nom_id' => '671','pays_id' => '173','langue_id' => '2','pays_nom_nom' => 'Peru'),
//            array('pays_nom_id' => '672','pays_id' => '174','langue_id' => '2','pays_nom_nom' => 'Philippines'),
//            array('pays_nom_id' => '673','pays_id' => '175','langue_id' => '2','pays_nom_nom' => 'Pitcairn'),
//            array('pays_nom_id' => '674','pays_id' => '176','langue_id' => '2','pays_nom_nom' => 'Poland'),
//            array('pays_nom_id' => '675','pays_id' => '177','langue_id' => '2','pays_nom_nom' => 'French Polynesia'),
//            array('pays_nom_id' => '676','pays_id' => '178','langue_id' => '2','pays_nom_nom' => 'Puerto Rico'),
//            array('pays_nom_id' => '677','pays_id' => '179','langue_id' => '2','pays_nom_nom' => 'Portugal'),
//            array('pays_nom_id' => '678','pays_id' => '180','langue_id' => '2','pays_nom_nom' => 'Qatar'),
//            array('pays_nom_id' => '679','pays_id' => '181','langue_id' => '2','pays_nom_nom' => 'Reunion'),
//            array('pays_nom_id' => '680','pays_id' => '182','langue_id' => '2','pays_nom_nom' => 'Romania'),
//            array('pays_nom_id' => '681','pays_id' => '183','langue_id' => '2','pays_nom_nom' => 'United Kingdom'),
//            array('pays_nom_id' => '682','pays_id' => '184','langue_id' => '2','pays_nom_nom' => 'Russia'),
//            array('pays_nom_id' => '683','pays_id' => '185','langue_id' => '2','pays_nom_nom' => 'Rwanda'),
//            array('pays_nom_id' => '684','pays_id' => '186','langue_id' => '2','pays_nom_nom' => 'Western Sahara'),
//            array('pays_nom_id' => '685','pays_id' => '187','langue_id' => '2','pays_nom_nom' => 'Saint Kitts And Nevis'),
//            array('pays_nom_id' => '686','pays_id' => '188','langue_id' => '2','pays_nom_nom' => 'San Marino'),
//            array('pays_nom_id' => '687','pays_id' => '189','langue_id' => '2','pays_nom_nom' => 'Saint-pierre-et-miquelon'),
//            array('pays_nom_id' => '688','pays_id' => '190','langue_id' => '2','pays_nom_nom' => 'San Marino (Republic Of Vatican City )'),
//            array('pays_nom_id' => '689','pays_id' => '191','langue_id' => '2','pays_nom_nom' => 'Saint Vincent and the Grenadines'),
//            array('pays_nom_id' => '690','pays_id' => '192','langue_id' => '2','pays_nom_nom' => 'St. Helena'),
//            array('pays_nom_id' => '691','pays_id' => '193','langue_id' => '2','pays_nom_nom' => 'Saint Lucia'),
//            array('pays_nom_id' => '692','pays_id' => '194','langue_id' => '2','pays_nom_nom' => 'Salomon, Islands'),
//            array('pays_nom_id' => '693','pays_id' => '195','langue_id' => '2','pays_nom_nom' => 'Samoa'),
//            array('pays_nom_id' => '694','pays_id' => '196','langue_id' => '2','pays_nom_nom' => 'American Samoa'),
//            array('pays_nom_id' => '695','pays_id' => '197','langue_id' => '2','pays_nom_nom' => 'Sao Tomé-et-principe'),
//            array('pays_nom_id' => '696','pays_id' => '198','langue_id' => '2','pays_nom_nom' => 'Senegal'),
//            array('pays_nom_id' => '697','pays_id' => '199','langue_id' => '2','pays_nom_nom' => 'Seychelles'),
//            array('pays_nom_id' => '698','pays_id' => '200','langue_id' => '2','pays_nom_nom' => 'Sierra Leone'),
//            array('pays_nom_id' => '699','pays_id' => '201','langue_id' => '2','pays_nom_nom' => 'Singapour'),
//            array('pays_nom_id' => '700','pays_id' => '202','langue_id' => '2','pays_nom_nom' => 'Slovakia'),
//            array('pays_nom_id' => '701','pays_id' => '203','langue_id' => '2','pays_nom_nom' => 'Slovenia'),
//            array('pays_nom_id' => '702','pays_id' => '204','langue_id' => '2','pays_nom_nom' => 'Somalia'),
//            array('pays_nom_id' => '703','pays_id' => '205','langue_id' => '2','pays_nom_nom' => 'Sudan'),
//            array('pays_nom_id' => '704','pays_id' => '206','langue_id' => '2','pays_nom_nom' => 'Sri Lanka'),
//            array('pays_nom_id' => '705','pays_id' => '207','langue_id' => '2','pays_nom_nom' => 'Sweden'),
//            array('pays_nom_id' => '706','pays_id' => '208','langue_id' => '2','pays_nom_nom' => 'Switzerland'),
//            array('pays_nom_id' => '707','pays_id' => '209','langue_id' => '2','pays_nom_nom' => 'Suriname'),
//            array('pays_nom_id' => '708','pays_id' => '210','langue_id' => '2','pays_nom_nom' => 'Svalbard Et Île Jan Mayen'),
//            array('pays_nom_id' => '709','pays_id' => '211','langue_id' => '2','pays_nom_nom' => 'Swaziland'),
//            array('pays_nom_id' => '710','pays_id' => '212','langue_id' => '2','pays_nom_nom' => 'Syria'),
//            array('pays_nom_id' => '711','pays_id' => '213','langue_id' => '2','pays_nom_nom' => 'Tadjikistan'),
//            array('pays_nom_id' => '712','pays_id' => '214','langue_id' => '2','pays_nom_nom' => 'Taiwan'),
//            array('pays_nom_id' => '713','pays_id' => '215','langue_id' => '2','pays_nom_nom' => 'Tanzania'),
//            array('pays_nom_id' => '714','pays_id' => '216','langue_id' => '2','pays_nom_nom' => 'Chad'),
//            array('pays_nom_id' => '715','pays_id' => '217','langue_id' => '2','pays_nom_nom' => 'Czech Republic'),
//            array('pays_nom_id' => '716','pays_id' => '218','langue_id' => '2','pays_nom_nom' => 'Terres Australes Françaises'),
//            array('pays_nom_id' => '717','pays_id' => '219','langue_id' => '2','pays_nom_nom' => 'Thailand'),
//            array('pays_nom_id' => '718','pays_id' => '220','langue_id' => '2','pays_nom_nom' => 'Timor-leste'),
//            array('pays_nom_id' => '719','pays_id' => '221','langue_id' => '2','pays_nom_nom' => 'Togo'),
//            array('pays_nom_id' => '720','pays_id' => '222','langue_id' => '2','pays_nom_nom' => 'Tokelau'),
//            array('pays_nom_id' => '721','pays_id' => '223','langue_id' => '2','pays_nom_nom' => 'Tonga'),
//            array('pays_nom_id' => '722','pays_id' => '224','langue_id' => '2','pays_nom_nom' => 'Trinité-et-tobago'),
//            array('pays_nom_id' => '723','pays_id' => '225','langue_id' => '2','pays_nom_nom' => 'Tunisia'),
//            array('pays_nom_id' => '724','pays_id' => '226','langue_id' => '2','pays_nom_nom' => 'Turkmenistan'),
//            array('pays_nom_id' => '725','pays_id' => '227','langue_id' => '2','pays_nom_nom' => 'Turks Et Caïques, Îles'),
//            array('pays_nom_id' => '726','pays_id' => '228','langue_id' => '2','pays_nom_nom' => 'Turkey'),
//            array('pays_nom_id' => '727','pays_id' => '229','langue_id' => '2','pays_nom_nom' => 'Tuvalu'),
//            array('pays_nom_id' => '728','pays_id' => '230','langue_id' => '2','pays_nom_nom' => 'Ukraine'),
//            array('pays_nom_id' => '729','pays_id' => '231','langue_id' => '2','pays_nom_nom' => 'Uruguay'),
//            array('pays_nom_id' => '730','pays_id' => '232','langue_id' => '2','pays_nom_nom' => 'Vanuatu'),
//            array('pays_nom_id' => '731','pays_id' => '233','langue_id' => '2','pays_nom_nom' => 'Venezuela'),
//            array('pays_nom_id' => '732','pays_id' => '234','langue_id' => '2','pays_nom_nom' => 'VietNam'),
//            array('pays_nom_id' => '733','pays_id' => '235','langue_id' => '2','pays_nom_nom' => 'Wallis Et Futuna'),
//            array('pays_nom_id' => '734','pays_id' => '236','langue_id' => '2','pays_nom_nom' => 'Yemen'),
//            array('pays_nom_id' => '735','pays_id' => '237','langue_id' => '2','pays_nom_nom' => 'Yugoslavia'),
//            array('pays_nom_id' => '736','pays_id' => '238','langue_id' => '2','pays_nom_nom' => 'Zambia'),
//            array('pays_nom_id' => '737','pays_id' => '239','langue_id' => '2','pays_nom_nom' => 'Zimbabwe'),
//            array('pays_nom_id' => '738','pays_id' => '240','langue_id' => '2','pays_nom_nom' => 'Saint-Barthélemy'),
//            array('pays_nom_id' => '739','pays_id' => '1','langue_id' => '2','pays_nom_nom' => 'Afghanistan'),
//            array('pays_nom_id' => '740','pays_id' => '2','langue_id' => '2','pays_nom_nom' => 'South Africa'),
//            array('pays_nom_id' => '741','pays_id' => '3','langue_id' => '2','pays_nom_nom' => 'Albania'),
//            array('pays_nom_id' => '742','pays_id' => '4','langue_id' => '2','pays_nom_nom' => 'Algeria'),
//            array('pays_nom_id' => '743','pays_id' => '5','langue_id' => '2','pays_nom_nom' => 'Germany'),
//            array('pays_nom_id' => '744','pays_id' => '6','langue_id' => '2','pays_nom_nom' => 'Andorra'),
//            array('pays_nom_id' => '745','pays_id' => '7','langue_id' => '2','pays_nom_nom' => 'Angola'),
//            array('pays_nom_id' => '746','pays_id' => '8','langue_id' => '2','pays_nom_nom' => 'Anguilla'),
//            array('pays_nom_id' => '747','pays_id' => '9','langue_id' => '2','pays_nom_nom' => 'Antartica'),
//            array('pays_nom_id' => '748','pays_id' => '10','langue_id' => '2','pays_nom_nom' => 'Antigua and Barbuda'),
//            array('pays_nom_id' => '749','pays_id' => '11','langue_id' => '2','pays_nom_nom' => 'Netherlands Antilles'),
//            array('pays_nom_id' => '750','pays_id' => '12','langue_id' => '2','pays_nom_nom' => 'Saudi Arabia'),
//            array('pays_nom_id' => '751','pays_id' => '13','langue_id' => '2','pays_nom_nom' => 'Argentina'),
//            array('pays_nom_id' => '752','pays_id' => '14','langue_id' => '2','pays_nom_nom' => 'Armenie'),
//            array('pays_nom_id' => '753','pays_id' => '15','langue_id' => '2','pays_nom_nom' => 'Aruba'),
//            array('pays_nom_id' => '754','pays_id' => '16','langue_id' => '2','pays_nom_nom' => 'Austria'),
//            array('pays_nom_id' => '755','pays_id' => '17','langue_id' => '2','pays_nom_nom' => 'Austria'),
//            array('pays_nom_id' => '756','pays_id' => '18','langue_id' => '2','pays_nom_nom' => 'Azerbaidjan'),
//            array('pays_nom_id' => '757','pays_id' => '19','langue_id' => '2','pays_nom_nom' => 'Bahamas'),
//            array('pays_nom_id' => '758','pays_id' => '20','langue_id' => '2','pays_nom_nom' => 'Bahrain'),
//            array('pays_nom_id' => '759','pays_id' => '21','langue_id' => '2','pays_nom_nom' => 'Bangladesh'),
//            array('pays_nom_id' => '760','pays_id' => '22','langue_id' => '2','pays_nom_nom' => 'Barbados'),
//            array('pays_nom_id' => '761','pays_id' => '23','langue_id' => '2','pays_nom_nom' => 'Belarus'),
//            array('pays_nom_id' => '762','pays_id' => '24','langue_id' => '2','pays_nom_nom' => 'Belgium'),
//            array('pays_nom_id' => '763','pays_id' => '25','langue_id' => '2','pays_nom_nom' => 'Belize'),
//            array('pays_nom_id' => '764','pays_id' => '26','langue_id' => '2','pays_nom_nom' => 'Benin'),
//            array('pays_nom_id' => '765','pays_id' => '27','langue_id' => '2','pays_nom_nom' => 'Bermuda'),
//            array('pays_nom_id' => '766','pays_id' => '28','langue_id' => '2','pays_nom_nom' => 'Bhutan'),
//            array('pays_nom_id' => '767','pays_id' => '29','langue_id' => '2','pays_nom_nom' => 'Bolivia'),
//            array('pays_nom_id' => '768','pays_id' => '30','langue_id' => '2','pays_nom_nom' => 'Bosnia-Herzegovina'),
//            array('pays_nom_id' => '769','pays_id' => '31','langue_id' => '2','pays_nom_nom' => 'Botswana'),
//            array('pays_nom_id' => '770','pays_id' => '32','langue_id' => '2','pays_nom_nom' => 'Bouvet Island'),
//            array('pays_nom_id' => '771','pays_id' => '33','langue_id' => '2','pays_nom_nom' => 'Brazil'),
//            array('pays_nom_id' => '772','pays_id' => '34','langue_id' => '2','pays_nom_nom' => 'Brunei Darussalam'),
//            array('pays_nom_id' => '773','pays_id' => '35','langue_id' => '2','pays_nom_nom' => 'Bulgaria'),
//            array('pays_nom_id' => '774','pays_id' => '36','langue_id' => '2','pays_nom_nom' => 'Burkina Faso'),
//            array('pays_nom_id' => '775','pays_id' => '37','langue_id' => '2','pays_nom_nom' => 'Burundi'),
//            array('pays_nom_id' => '776','pays_id' => '38','langue_id' => '2','pays_nom_nom' => 'Cayman Islands'),
//            array('pays_nom_id' => '777','pays_id' => '39','langue_id' => '2','pays_nom_nom' => 'Cambodia'),
//            array('pays_nom_id' => '778','pays_id' => '40','langue_id' => '2','pays_nom_nom' => 'Cameroon'),
//            array('pays_nom_id' => '779','pays_id' => '41','langue_id' => '2','pays_nom_nom' => 'Canada'),
//            array('pays_nom_id' => '780','pays_id' => '42','langue_id' => '2','pays_nom_nom' => 'Cape Verde'),
//            array('pays_nom_id' => '781','pays_id' => '43','langue_id' => '2','pays_nom_nom' => 'Central African Republic'),
//            array('pays_nom_id' => '782','pays_id' => '44','langue_id' => '2','pays_nom_nom' => 'Chile'),
//            array('pays_nom_id' => '783','pays_id' => '45','langue_id' => '2','pays_nom_nom' => 'China'),
//            array('pays_nom_id' => '784','pays_id' => '46','langue_id' => '2','pays_nom_nom' => 'Christmas Island'),
//            array('pays_nom_id' => '785','pays_id' => '47','langue_id' => '2','pays_nom_nom' => 'Cyprus'),
//            array('pays_nom_id' => '786','pays_id' => '48','langue_id' => '2','pays_nom_nom' => 'Cocos (keeling) Islands'),
//            array('pays_nom_id' => '787','pays_id' => '49','langue_id' => '2','pays_nom_nom' => 'Colombia'),
//            array('pays_nom_id' => '788','pays_id' => '50','langue_id' => '2','pays_nom_nom' => 'Comoros'),
//            array('pays_nom_id' => '789','pays_id' => '51','langue_id' => '2','pays_nom_nom' => 'Congo'),
//            array('pays_nom_id' => '790','pays_id' => '52','langue_id' => '2','pays_nom_nom' => 'The democratic republic of congo'),
//            array('pays_nom_id' => '791','pays_id' => '53','langue_id' => '2','pays_nom_nom' => 'Cook Islands'),
//            array('pays_nom_id' => '792','pays_id' => '54','langue_id' => '2','pays_nom_nom' => 'korea'),
//            array('pays_nom_id' => '793','pays_id' => '56','langue_id' => '2','pays_nom_nom' => 'Costa Rica'),
//            array('pays_nom_id' => '794','pays_id' => '57','langue_id' => '2','pays_nom_nom' => 'Ivory Coast'),
//            array('pays_nom_id' => '795','pays_id' => '58','langue_id' => '2','pays_nom_nom' => 'Croatia'),
//            array('pays_nom_id' => '796','pays_id' => '59','langue_id' => '2','pays_nom_nom' => 'Cuba'),
//            array('pays_nom_id' => '797','pays_id' => '60','langue_id' => '2','pays_nom_nom' => 'Denmark'),
//            array('pays_nom_id' => '798','pays_id' => '61','langue_id' => '2','pays_nom_nom' => 'Djibouti'),
//            array('pays_nom_id' => '799','pays_id' => '62','langue_id' => '2','pays_nom_nom' => 'Dominican Republic'),
//            array('pays_nom_id' => '800','pays_id' => '63','langue_id' => '2','pays_nom_nom' => 'Dominique'),
//            array('pays_nom_id' => '801','pays_id' => '64','langue_id' => '2','pays_nom_nom' => 'Egypt'),
//            array('pays_nom_id' => '802','pays_id' => '65','langue_id' => '2','pays_nom_nom' => 'El Salvador'),
//            array('pays_nom_id' => '803','pays_id' => '66','langue_id' => '2','pays_nom_nom' => 'United Arab Emirates'),
//            array('pays_nom_id' => '804','pays_id' => '67','langue_id' => '2','pays_nom_nom' => 'Ecuador'),
//            array('pays_nom_id' => '805','pays_id' => '68','langue_id' => '2','pays_nom_nom' => 'Eritrea'),
//            array('pays_nom_id' => '806','pays_id' => '69','langue_id' => '2','pays_nom_nom' => 'Spain'),
//            array('pays_nom_id' => '807','pays_id' => '70','langue_id' => '2','pays_nom_nom' => 'Estonia'),
//            array('pays_nom_id' => '808','pays_id' => '71','langue_id' => '2','pays_nom_nom' => 'USA'),
//            array('pays_nom_id' => '809','pays_id' => '72','langue_id' => '2','pays_nom_nom' => 'Ethiopia'),
//            array('pays_nom_id' => '810','pays_id' => '73','langue_id' => '2','pays_nom_nom' => 'Falkland, Island (malvinas)'),
//            array('pays_nom_id' => '811','pays_id' => '74','langue_id' => '2','pays_nom_nom' => 'Faroe Islands'),
//            array('pays_nom_id' => '812','pays_id' => '75','langue_id' => '2','pays_nom_nom' => 'Fidji'),
//            array('pays_nom_id' => '813','pays_id' => '76','langue_id' => '2','pays_nom_nom' => 'Finland'),
//            array('pays_nom_id' => '814','pays_id' => '77','langue_id' => '2','pays_nom_nom' => 'France'),
//            array('pays_nom_id' => '815','pays_id' => '78','langue_id' => '2','pays_nom_nom' => 'Gabon'),
//            array('pays_nom_id' => '816','pays_id' => '79','langue_id' => '2','pays_nom_nom' => 'Gambia'),
//            array('pays_nom_id' => '817','pays_id' => '80','langue_id' => '2','pays_nom_nom' => 'Georgia'),
//            array('pays_nom_id' => '818','pays_id' => '81','langue_id' => '2','pays_nom_nom' => 'Georgia'),
//            array('pays_nom_id' => '819','pays_id' => '82','langue_id' => '2','pays_nom_nom' => 'Ghana'),
//            array('pays_nom_id' => '820','pays_id' => '83','langue_id' => '2','pays_nom_nom' => 'Gibraltar'),
//            array('pays_nom_id' => '821','pays_id' => '84','langue_id' => '2','pays_nom_nom' => 'Greece'),
//            array('pays_nom_id' => '822','pays_id' => '85','langue_id' => '2','pays_nom_nom' => 'Grenada'),
//            array('pays_nom_id' => '823','pays_id' => '86','langue_id' => '2','pays_nom_nom' => 'Greenland'),
//            array('pays_nom_id' => '824','pays_id' => '87','langue_id' => '2','pays_nom_nom' => 'Guadeloupe'),
//            array('pays_nom_id' => '825','pays_id' => '88','langue_id' => '2','pays_nom_nom' => 'Guam'),
//            array('pays_nom_id' => '826','pays_id' => '89','langue_id' => '2','pays_nom_nom' => 'Guatemala'),
//            array('pays_nom_id' => '827','pays_id' => '90','langue_id' => '2','pays_nom_nom' => 'Guinea'),
//            array('pays_nom_id' => '828','pays_id' => '91','langue_id' => '2','pays_nom_nom' => 'Equatorial Guinea'),
//            array('pays_nom_id' => '829','pays_id' => '92','langue_id' => '2','pays_nom_nom' => 'Guinea-bissau'),
//            array('pays_nom_id' => '830','pays_id' => '93','langue_id' => '2','pays_nom_nom' => 'Guyana'),
//            array('pays_nom_id' => '831','pays_id' => '94','langue_id' => '2','pays_nom_nom' => 'French Guiana'),
//            array('pays_nom_id' => '832','pays_id' => '95','langue_id' => '2','pays_nom_nom' => 'Haïti'),
//            array('pays_nom_id' => '833','pays_id' => '96','langue_id' => '2','pays_nom_nom' => 'Heard, Island Et Mcdonald, Islands'),
//            array('pays_nom_id' => '834','pays_id' => '97','langue_id' => '2','pays_nom_nom' => 'Honduras'),
//            array('pays_nom_id' => '835','pays_id' => '98','langue_id' => '2','pays_nom_nom' => 'Hong-kong'),
//            array('pays_nom_id' => '836','pays_id' => '99','langue_id' => '2','pays_nom_nom' => 'Hungary'),
//            array('pays_nom_id' => '837','pays_id' => '100','langue_id' => '2','pays_nom_nom' => 'Minor Outlying Islands United States'),
//            array('pays_nom_id' => '838','pays_id' => '101','langue_id' => '2','pays_nom_nom' => 'Bristish Virgin Islands'),
//            array('pays_nom_id' => '839','pays_id' => '102','langue_id' => '2','pays_nom_nom' => 'Virgin Islands United States'),
//            array('pays_nom_id' => '840','pays_id' => '103','langue_id' => '2','pays_nom_nom' => 'India'),
//            array('pays_nom_id' => '841','pays_id' => '104','langue_id' => '2','pays_nom_nom' => 'Indonesia'),
//            array('pays_nom_id' => '842','pays_id' => '105','langue_id' => '2','pays_nom_nom' => 'Iran'),
//            array('pays_nom_id' => '843','pays_id' => '106','langue_id' => '2','pays_nom_nom' => 'Irak'),
//            array('pays_nom_id' => '844','pays_id' => '107','langue_id' => '2','pays_nom_nom' => 'Irland'),
//            array('pays_nom_id' => '845','pays_id' => '108','langue_id' => '2','pays_nom_nom' => 'Iceland'),
//            array('pays_nom_id' => '846','pays_id' => '109','langue_id' => '2','pays_nom_nom' => 'Israel'),
//            array('pays_nom_id' => '847','pays_id' => '110','langue_id' => '2','pays_nom_nom' => 'Italy'),
//            array('pays_nom_id' => '848','pays_id' => '111','langue_id' => '2','pays_nom_nom' => 'Jamaica'),
//            array('pays_nom_id' => '849','pays_id' => '112','langue_id' => '2','pays_nom_nom' => 'Japan'),
//            array('pays_nom_id' => '850','pays_id' => '113','langue_id' => '2','pays_nom_nom' => 'Jordan'),
//            array('pays_nom_id' => '851','pays_id' => '114','langue_id' => '2','pays_nom_nom' => 'Kazakhstan'),
//            array('pays_nom_id' => '852','pays_id' => '115','langue_id' => '2','pays_nom_nom' => 'Kenya'),
//            array('pays_nom_id' => '853','pays_id' => '116','langue_id' => '2','pays_nom_nom' => 'Kyrgyzstan'),
//            array('pays_nom_id' => '854','pays_id' => '117','langue_id' => '2','pays_nom_nom' => 'Kiribati'),
//            array('pays_nom_id' => '855','pays_id' => '118','langue_id' => '2','pays_nom_nom' => 'Kuwait'),
//            array('pays_nom_id' => '856','pays_id' => '119','langue_id' => '2','pays_nom_nom' => 'Lao'),
//            array('pays_nom_id' => '857','pays_id' => '120','langue_id' => '2','pays_nom_nom' => 'Lesotho'),
//            array('pays_nom_id' => '858','pays_id' => '121','langue_id' => '2','pays_nom_nom' => 'Latvia'),
//            array('pays_nom_id' => '859','pays_id' => '122','langue_id' => '2','pays_nom_nom' => 'Lebanon'),
//            array('pays_nom_id' => '860','pays_id' => '123','langue_id' => '2','pays_nom_nom' => 'Liberia'),
//            array('pays_nom_id' => '861','pays_id' => '124','langue_id' => '2','pays_nom_nom' => 'Libyenne, Jamahiriya Arabe'),
//            array('pays_nom_id' => '862','pays_id' => '125','langue_id' => '2','pays_nom_nom' => 'Liechtenstein'),
//            array('pays_nom_id' => '863','pays_id' => '126','langue_id' => '2','pays_nom_nom' => 'Lithuania'),
//            array('pays_nom_id' => '864','pays_id' => '127','langue_id' => '2','pays_nom_nom' => 'Luxembourg'),
//            array('pays_nom_id' => '865','pays_id' => '128','langue_id' => '2','pays_nom_nom' => 'Macao'),
//            array('pays_nom_id' => '866','pays_id' => '129','langue_id' => '2','pays_nom_nom' => 'Macedonia'),
//            array('pays_nom_id' => '867','pays_id' => '130','langue_id' => '2','pays_nom_nom' => 'Madagascar'),
//            array('pays_nom_id' => '868','pays_id' => '131','langue_id' => '2','pays_nom_nom' => 'Malaysia'),
//            array('pays_nom_id' => '869','pays_id' => '132','langue_id' => '2','pays_nom_nom' => 'Malawi'),
//            array('pays_nom_id' => '870','pays_id' => '133','langue_id' => '2','pays_nom_nom' => 'Maldives'),
//            array('pays_nom_id' => '871','pays_id' => '134','langue_id' => '2','pays_nom_nom' => 'Mali'),
//            array('pays_nom_id' => '872','pays_id' => '135','langue_id' => '2','pays_nom_nom' => 'Malta'),
//            array('pays_nom_id' => '873','pays_id' => '136','langue_id' => '2','pays_nom_nom' => 'Northern Mariana Islands'),
//            array('pays_nom_id' => '874','pays_id' => '137','langue_id' => '2','pays_nom_nom' => 'Marocco'),
//            array('pays_nom_id' => '875','pays_id' => '138','langue_id' => '2','pays_nom_nom' => 'Marshall Islands'),
//            array('pays_nom_id' => '876','pays_id' => '139','langue_id' => '2','pays_nom_nom' => 'Martinique'),
//            array('pays_nom_id' => '877','pays_id' => '140','langue_id' => '2','pays_nom_nom' => 'Maurice'),
//            array('pays_nom_id' => '878','pays_id' => '141','langue_id' => '2','pays_nom_nom' => 'Mauritania'),
//            array('pays_nom_id' => '879','pays_id' => '142','langue_id' => '2','pays_nom_nom' => 'Mayotte'),
//            array('pays_nom_id' => '880','pays_id' => '143','langue_id' => '2','pays_nom_nom' => 'Mexico'),
//            array('pays_nom_id' => '881','pays_id' => '144','langue_id' => '2','pays_nom_nom' => 'Micronesia'),
//            array('pays_nom_id' => '882','pays_id' => '145','langue_id' => '2','pays_nom_nom' => 'Moldova'),
//            array('pays_nom_id' => '883','pays_id' => '146','langue_id' => '2','pays_nom_nom' => 'Monaco'),
//            array('pays_nom_id' => '884','pays_id' => '147','langue_id' => '2','pays_nom_nom' => 'Mongolia'),
//            array('pays_nom_id' => '885','pays_id' => '148','langue_id' => '2','pays_nom_nom' => 'Montserrat'),
//            array('pays_nom_id' => '886','pays_id' => '149','langue_id' => '2','pays_nom_nom' => 'Mozambique'),
//            array('pays_nom_id' => '887','pays_id' => '150','langue_id' => '2','pays_nom_nom' => 'Myanmar'),
//            array('pays_nom_id' => '888','pays_id' => '151','langue_id' => '2','pays_nom_nom' => 'Namibia'),
//            array('pays_nom_id' => '889','pays_id' => '152','langue_id' => '2','pays_nom_nom' => 'Nauru'),
//            array('pays_nom_id' => '890','pays_id' => '153','langue_id' => '2','pays_nom_nom' => 'Nepal'),
//            array('pays_nom_id' => '891','pays_id' => '154','langue_id' => '2','pays_nom_nom' => 'Nicaragua'),
//            array('pays_nom_id' => '892','pays_id' => '155','langue_id' => '2','pays_nom_nom' => 'Niger'),
//            array('pays_nom_id' => '893','pays_id' => '156','langue_id' => '2','pays_nom_nom' => 'Nigeria'),
//            array('pays_nom_id' => '894','pays_id' => '157','langue_id' => '2','pays_nom_nom' => 'Niue'),
//            array('pays_nom_id' => '895','pays_id' => '158','langue_id' => '2','pays_nom_nom' => 'Norfolk Island'),
//            array('pays_nom_id' => '896','pays_id' => '159','langue_id' => '2','pays_nom_nom' => 'Norway'),
//            array('pays_nom_id' => '897','pays_id' => '160','langue_id' => '2','pays_nom_nom' => 'New Caledonia'),
//            array('pays_nom_id' => '898','pays_id' => '161','langue_id' => '2','pays_nom_nom' => 'New Zealand'),
//            array('pays_nom_id' => '899','pays_id' => '162','langue_id' => '2','pays_nom_nom' => 'Indian Ocean Territory British'),
//            array('pays_nom_id' => '900','pays_id' => '163','langue_id' => '2','pays_nom_nom' => 'Oman'),
//            array('pays_nom_id' => '901','pays_id' => '164','langue_id' => '2','pays_nom_nom' => 'Uganda'),
//            array('pays_nom_id' => '902','pays_id' => '165','langue_id' => '2','pays_nom_nom' => 'Uzbekistan'),
//            array('pays_nom_id' => '903','pays_id' => '166','langue_id' => '2','pays_nom_nom' => 'Pakistan'),
//            array('pays_nom_id' => '904','pays_id' => '167','langue_id' => '2','pays_nom_nom' => 'Palau'),
//            array('pays_nom_id' => '905','pays_id' => '168','langue_id' => '2','pays_nom_nom' => 'Palestinian'),
//            array('pays_nom_id' => '906','pays_id' => '169','langue_id' => '2','pays_nom_nom' => 'Panama'),
//            array('pays_nom_id' => '907','pays_id' => '170','langue_id' => '2','pays_nom_nom' => 'Papua New Guinea'),
//            array('pays_nom_id' => '908','pays_id' => '171','langue_id' => '2','pays_nom_nom' => 'Paraguay'),
//            array('pays_nom_id' => '909','pays_id' => '172','langue_id' => '2','pays_nom_nom' => 'Netherlands'),
//            array('pays_nom_id' => '910','pays_id' => '173','langue_id' => '2','pays_nom_nom' => 'Peru'),
//            array('pays_nom_id' => '911','pays_id' => '174','langue_id' => '2','pays_nom_nom' => 'Philippines'),
//            array('pays_nom_id' => '912','pays_id' => '175','langue_id' => '2','pays_nom_nom' => 'Pitcairn'),
//            array('pays_nom_id' => '913','pays_id' => '176','langue_id' => '2','pays_nom_nom' => 'Poland'),
//            array('pays_nom_id' => '914','pays_id' => '177','langue_id' => '2','pays_nom_nom' => 'French Polynesia'),
//            array('pays_nom_id' => '915','pays_id' => '178','langue_id' => '2','pays_nom_nom' => 'Puerto Rico'),
//            array('pays_nom_id' => '916','pays_id' => '179','langue_id' => '2','pays_nom_nom' => 'Portugal'),
//            array('pays_nom_id' => '917','pays_id' => '180','langue_id' => '2','pays_nom_nom' => 'Qatar'),
//            array('pays_nom_id' => '918','pays_id' => '181','langue_id' => '2','pays_nom_nom' => 'Reunion'),
//            array('pays_nom_id' => '919','pays_id' => '182','langue_id' => '2','pays_nom_nom' => 'Romania'),
//            array('pays_nom_id' => '920','pays_id' => '183','langue_id' => '2','pays_nom_nom' => 'United Kingdom'),
//            array('pays_nom_id' => '921','pays_id' => '184','langue_id' => '2','pays_nom_nom' => 'Russia'),
//            array('pays_nom_id' => '922','pays_id' => '185','langue_id' => '2','pays_nom_nom' => 'Rwanda'),
//            array('pays_nom_id' => '923','pays_id' => '186','langue_id' => '2','pays_nom_nom' => 'Western Sahara'),
//            array('pays_nom_id' => '924','pays_id' => '187','langue_id' => '2','pays_nom_nom' => 'Saint Kitts And Nevis'),
//            array('pays_nom_id' => '925','pays_id' => '188','langue_id' => '2','pays_nom_nom' => 'San Marino'),
//            array('pays_nom_id' => '926','pays_id' => '189','langue_id' => '2','pays_nom_nom' => 'Saint-pierre-et-miquelon'),
//            array('pays_nom_id' => '927','pays_id' => '190','langue_id' => '2','pays_nom_nom' => 'San Marino (Republic Of Vatican City )'),
//            array('pays_nom_id' => '928','pays_id' => '191','langue_id' => '2','pays_nom_nom' => 'Saint Vincent and the Grenadines'),
//            array('pays_nom_id' => '929','pays_id' => '192','langue_id' => '2','pays_nom_nom' => 'St. Helena'),
//            array('pays_nom_id' => '930','pays_id' => '193','langue_id' => '2','pays_nom_nom' => 'Saint Lucia'),
//            array('pays_nom_id' => '931','pays_id' => '194','langue_id' => '2','pays_nom_nom' => 'Salomon, Islands'),
//            array('pays_nom_id' => '932','pays_id' => '195','langue_id' => '2','pays_nom_nom' => 'Samoa'),
//            array('pays_nom_id' => '933','pays_id' => '196','langue_id' => '2','pays_nom_nom' => 'American Samoa'),
//            array('pays_nom_id' => '934','pays_id' => '197','langue_id' => '2','pays_nom_nom' => 'Sao Tomé-et-principe'),
//            array('pays_nom_id' => '935','pays_id' => '198','langue_id' => '2','pays_nom_nom' => 'Senegal'),
//            array('pays_nom_id' => '936','pays_id' => '199','langue_id' => '2','pays_nom_nom' => 'Seychelles'),
//            array('pays_nom_id' => '937','pays_id' => '200','langue_id' => '2','pays_nom_nom' => 'Sierra Leone'),
//            array('pays_nom_id' => '938','pays_id' => '201','langue_id' => '2','pays_nom_nom' => 'Singapour'),
//            array('pays_nom_id' => '939','pays_id' => '202','langue_id' => '2','pays_nom_nom' => 'Slovakia'),
//            array('pays_nom_id' => '940','pays_id' => '203','langue_id' => '2','pays_nom_nom' => 'Slovenia'),
//            array('pays_nom_id' => '941','pays_id' => '204','langue_id' => '2','pays_nom_nom' => 'Somalia'),
//            array('pays_nom_id' => '942','pays_id' => '205','langue_id' => '2','pays_nom_nom' => 'Sudan'),
//            array('pays_nom_id' => '943','pays_id' => '206','langue_id' => '2','pays_nom_nom' => 'Sri Lanka'),
//            array('pays_nom_id' => '944','pays_id' => '207','langue_id' => '2','pays_nom_nom' => 'Sweden'),
//            array('pays_nom_id' => '945','pays_id' => '208','langue_id' => '2','pays_nom_nom' => 'Switzerland'),
//            array('pays_nom_id' => '946','pays_id' => '209','langue_id' => '2','pays_nom_nom' => 'Suriname'),
//            array('pays_nom_id' => '947','pays_id' => '210','langue_id' => '2','pays_nom_nom' => 'Svalbard Et Île Jan Mayen'),
//            array('pays_nom_id' => '948','pays_id' => '211','langue_id' => '2','pays_nom_nom' => 'Swaziland'),
//            array('pays_nom_id' => '949','pays_id' => '212','langue_id' => '2','pays_nom_nom' => 'Syria'),
//            array('pays_nom_id' => '950','pays_id' => '213','langue_id' => '2','pays_nom_nom' => 'Tadjikistan'),
//            array('pays_nom_id' => '951','pays_id' => '214','langue_id' => '2','pays_nom_nom' => 'Taiwan'),
//            array('pays_nom_id' => '952','pays_id' => '215','langue_id' => '2','pays_nom_nom' => 'Tanzania'),
//            array('pays_nom_id' => '953','pays_id' => '216','langue_id' => '2','pays_nom_nom' => 'Chad'),
//            array('pays_nom_id' => '954','pays_id' => '217','langue_id' => '2','pays_nom_nom' => 'Czech Republic'),
//            array('pays_nom_id' => '955','pays_id' => '218','langue_id' => '2','pays_nom_nom' => 'Terres Australes Françaises'),
//            array('pays_nom_id' => '956','pays_id' => '219','langue_id' => '2','pays_nom_nom' => 'Thailand'),
//            array('pays_nom_id' => '957','pays_id' => '220','langue_id' => '2','pays_nom_nom' => 'Timor-leste'),
//            array('pays_nom_id' => '958','pays_id' => '221','langue_id' => '2','pays_nom_nom' => 'Togo'),
//            array('pays_nom_id' => '959','pays_id' => '222','langue_id' => '2','pays_nom_nom' => 'Tokelau'),
//            array('pays_nom_id' => '960','pays_id' => '223','langue_id' => '2','pays_nom_nom' => 'Tonga'),
//            array('pays_nom_id' => '961','pays_id' => '224','langue_id' => '2','pays_nom_nom' => 'Trinité-et-tobago'),
//            array('pays_nom_id' => '962','pays_id' => '225','langue_id' => '2','pays_nom_nom' => 'Tunisia'),
//            array('pays_nom_id' => '963','pays_id' => '226','langue_id' => '2','pays_nom_nom' => 'Turkmenistan'),
//            array('pays_nom_id' => '964','pays_id' => '227','langue_id' => '2','pays_nom_nom' => 'Turks Et Caïques, Îles'),
//            array('pays_nom_id' => '965','pays_id' => '228','langue_id' => '2','pays_nom_nom' => 'Turkey'),
//            array('pays_nom_id' => '966','pays_id' => '229','langue_id' => '2','pays_nom_nom' => 'Tuvalu'),
//            array('pays_nom_id' => '967','pays_id' => '230','langue_id' => '2','pays_nom_nom' => 'Ukraine'),
//            array('pays_nom_id' => '968','pays_id' => '231','langue_id' => '2','pays_nom_nom' => 'Uruguay'),
//            array('pays_nom_id' => '969','pays_id' => '232','langue_id' => '2','pays_nom_nom' => 'Vanuatu'),
//            array('pays_nom_id' => '970','pays_id' => '233','langue_id' => '2','pays_nom_nom' => 'Venezuela'),
//            array('pays_nom_id' => '971','pays_id' => '234','langue_id' => '2','pays_nom_nom' => 'VietNam'),
//            array('pays_nom_id' => '972','pays_id' => '235','langue_id' => '2','pays_nom_nom' => 'Wallis Et Futuna'),
//            array('pays_nom_id' => '973','pays_id' => '236','langue_id' => '2','pays_nom_nom' => 'Yemen'),
//            array('pays_nom_id' => '974','pays_id' => '237','langue_id' => '2','pays_nom_nom' => 'Yugoslavia'),
//            array('pays_nom_id' => '975','pays_id' => '238','langue_id' => '2','pays_nom_nom' => 'Zambia'),
//            array('pays_nom_id' => '976','pays_id' => '239','langue_id' => '2','pays_nom_nom' => 'Zimbabwe'),
//            array('pays_nom_id' => '977','pays_id' => '240','langue_id' => '2','pays_nom_nom' => 'Saint-Barthélemy')
        );

        $this
            ->table('pays_nom')
            ->insert($pays_nom)
            ->save();
    }

    public function down()
    {
        $this->execute('SET FOREIGN_KEY_CHECKS=0');
        $this
            ->table('pays')
            ->truncate();
        $this
            ->table('pays_nom')
            ->truncate();
        $this->execute('SET FOREIGN_KEY_CHECKS=1');
    }
}
