<!doctype html>
<!--[if IE 7]><html lang="{$lgBoutique->ini|lower}" class="ie7"><![endif]-->
<!--[if IE 8]><html lang="{$lgBoutique->ini|lower}" class="ie8"><![endif]-->
<!--[if gt IE 8]><!--><html lang="{$lgBoutique->ini|lower}"><!--<![endif]-->
<head>
    <title>{$superRef.title|default:$ref.title|default:$txt.ref_title_default}{if !empty($titreCara)}{$titreCara}{/if}</title>
    <meta name="description" content="{$superRef.description|default:$ref.description|default:$txt.ref_desc_default}{if !empty($titreCara)} Votre recherche : {$titreCara}{/if}" />
    <meta name="keywords" content="{$superRef.keywords|default:$ref.keywords|default:$txt.ref_kw_default}" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
    {if !empty($metaRobots)}<meta name="robots" content="{$metaRobots}" />{/if}
	<link type="text/css" href="{$themeFolder}/css/united.css" rel="stylesheet"/>

	<!--favicon placeholder -->
	<link href="{$themeFolder}/images/favicon.ico" rel="icon" type="image/x-icon" />

    {block name="css"}{/block}

	{if !empty($debugbarRenderer)}
		{$debugbarRenderer->renderHead()}
	{/if}

    <link rel="alternate" hreflang="{$lgBoutique->ini|lower}{if $lgBoutique->ini == 'FR'}_{$lgBoutique->ini}{/if}" href="{$smarty.server.REQUEST_URI}" />
    <script src="{$themeFolder}/js/all.js"></script>
</head>
<body>

    {nocache}{if !empty($tracking_body)}{$tracking_body}{/if}{/nocache}
    <div>
        {include file="inc/header.tpl"}

        {block name="content"}{/block}

        {render controller="Controller\FooterController" action="display"}

        {nocache}{if !empty($tracking_footer)}{$tracking_footer}{/if}{/nocache}
        {nocache}{block name="tracking"}{/block}{/nocache}
    </div>
    <script type="text/javascript" src="/dedi/js/common.js"></script>
    <script type="text/javascript" src="{$themeFolder}/js/jquery.flashsale.js"></script>
    <script type="text/javascript" src="{$themeFolder}/js/common.js"></script>
    {block name="script"}{/block}
    {block name="script-js"}{/block}

    {if !empty($debugbarRenderer)}
        {$debugbarRenderer->render()}
    {/if}
</body>
</html>
